if not Librarium then Librarium = {} end
if not LibrariumBooks then LibrariumBooks = {} end

Librarium.AddOnName = "TheLibrarium"

local addOnLongName = "The Librarium"
local worldIconDown = "EsoUI/Art/Progression/progression_indexIcon_world_down.dds"

local stringsEN = {
	----
	--ZOS-Based Strings
	----
	LIBRARIUM_ADVENTURES_CLOSE_BOOK = zo_strformat("<<Z:1>>", GetString(SI_DIALOG_CLOSE)),

	LIBRARIUM_EDITOR_UNDO_RECENT_CHANGES = GetString(SI_HOUSING_EDITOR_UNDO),
	LIBRARIUM_EDITOR_SEND_CUSTOM_BOOK = GetString(SI_SOCIAL_MENU_SEND_MAIL),

	LIBRARIUM_GOLD_ATTACHED = GetString(SI_MAIL_READ_SENT_GOLD_LABEL),
	LIBRARIUM_MAIL_ATTACHED = GetString(SI_MAIL_ATTACHMENTS_HEADER),
	LIBRARIUM_MAIL_RECEIVED = GetString(SI_MAIL_INBOX_RECEIVED_COLUMN),
	LIBRARIUM_COD_COST = GetString(SI_MAIL_READ_COD_LABEL),
	LIBRARIUM_MAIL_SENT = GetString(SI_GIFT_INVENTORY_SENT_GIFTS_HEADER),
	LIBRARIUM_MAIL_TO = GetString(SI_MAIL_SEND_TO_LABEL),

	LIBRARIUM_AUTHOR = GetString(SI_ADDON_MANAGER_AUTHOR),
	LIBRARIUM_LOCATIONS = GetString(SI_MAP_INFO_MODE_LOCATIONS),

	LIBRARIUM_OVERIVEW = GetString(SI_CUSTOMER_SERVICE_OVERVIEW),
	LIBRARIUM_OPTIONS = GetString(SI_GAMEPAD_OPTIONS_MENU),

	LIBRARIUM_MISC = GetString(SI_PLAYER_MENU_MISC),

	----
	--General Strings
	----
	SI_BINDING_NAME_LIBRARIUM_OPEN_KEY = "Open the Librarium",
	SI_BINDING_NAME_LIBRARIUM_OPEN_COMPENDIUM_KEY = "Open the Librarium", --Compatability
	SI_BINDING_NAME_LIBRARIUM_OPEN_GAMEPAD_KEY = "Open the Librarium – Gamepad",
	SI_BINDING_NAME_LIBRARIUM_SAVE_MAIL_KEY = "Save Mail",

	LIBRARIUM_CUSTOM_INTERACT_ACTION = "Librarium",
	LIBRARIUM_CUSTOM_INTERACT_BOOKSHELF = "Bookshelf",

	LIBRARIUM_LORE_LIBRARY_ANNOUNCE_BOOK_LEARNED = "Librarium Lorebook Learned",
	LIBRARIUM_MENU_JOURNAL = string.format("|t52:52:%s|t%s:", worldIconDown, addOnLongName),
	LIBRARIUM_WINDOW_TITLE_LORE_LIBRARY = string.format("|t52:52:%s|t%s:", worldIconDown, addOnLongName),

	LIBRARIUM_ADVENTURES_RESTART_BOOK = "<START AGAIN>",

	LIBRARIUM_MAIL_SEND_ANNOUNCE_ERROR = "Librarium Book Failed to Send, Try Again Later",

	LIBRARIUM_EDITOR_TOGGLE_MEDIUM = "Cycle Book Medium",
	LIBRARIUM_EDITOR_OPEN_BOOK_WRITER = "Open Book Writer",
	LIBRARIUM_EDITOR_OPEN_BOOK_EDITOR = "Edit Book",
	LIBRARIUM_EDITOR_DEFAULT_TITLE = "Enter Title",
	LIBRARIUM_EDITOR_DEFAULT_TEXT = "Start Writing",
	LIBRARIUM_EDITOR_UNDO_RECENT_CHANGES = "Undo",

	LIBRARIUM_EDITOR_SAVE_OR_OVERWRITE_NAME = "Save or Overwrite?",
	LIBRARIUM_EDITOR_OVERWRITE_CUSTOM_BOOK = "Overwrite Book",
	LIBRARIUM_EDITOR_SAVE_CUSTOM_BOOK = "Save Book",
	LIBRARIUM_EDITOR_DELETE_CUSTOM_BOOK = "Delete Book",
	LIBRARIUM_EDITOR_DELETE_NAME = "Confirm Deletion?",

	LIBRARIUM_EDITOR_ANNOUNCE_CUSTOM_BOOK_OVERWRITTEN = "Book Overwritten",
	LIBRARIUM_EDITOR_ANNOUNCE_CUSTOM_BOOK_REMOVED = "Book Removed",
	LIBRARIUM_EDITOR_ANNOUNCE_CUSTOM_BOOK_SAVED = "Book Saved",

	LIBRARIUM_MAIL_SAVE = "Save Mail",
	LIBRARIUM_EDITOR_MAIL_SUBJECT_PREFIX = "LIBR",
	LIBRARIUM_DUPLICATE_MAIL_SAVE = "Duplicate Mail Save",
	LIBRARIUM_HIRELING_MAIL_KEYWORD = "Raw ",
	LIBRARIUM_EDITOR_SEND_MAIL_NAME = "Send Mail to Alianym?",
	LIBRARIUM_EDITOR_ANNOUNCE_CUSTOM_MAIL_SAVED = "Mail Saved",
	LIBRARIUM_EDITOR_ANNOUNCE_SAVED_MAIL_REMOVED = "Saved Mail Removed",

	LIBRARIUM_DIALOGS_CUSTOM_BOOK_OVERWRITE = "Would you like to Overwrite the existing book?",
	LIBRARIUM_DIALOGS_CUSTOM_BOOK_DELETE = "Confirm deletion of the custom book? This will be permanent upon /reloadui or logout.",
	LIBRARIUM_DIALOGS_MAIL_SAVED_DELETE = "Confirm deletion of the saved mail? This will be permanent upon /reloadui or logout.",
	LIBRARIUM_DIALOGS_MAIL_SEND_REQ_DETAILS = "You need to input:\n\nAuthor: <How To Credit?> and;\nLocations: <Where In-Game?>\n\nYou must fill these out in the Settings Menu before you can send a book to Alianym.",
	LIBRARIUM_DIALOGS_MAIL_SEND_CONFIRM = "Confirm send of the custom book to Alianym?\nPlease wait a few moments to let the mails send.",
	LIBRARIUM_DIALOGS_MAIL_SEND_TEMP_WINDOW = "This window will close automatically once the entire book has been sent.",

	----
	--AddOn Settings Strings
	----

	LIBRARIUM_SETTINGS_RELOADUI_WARNING = "Will automatically reload the UI.",

	LIBRARIUM_SETTINGS_DESCRIPTION_TEXT = "To set an <Interaction Keybind> go to CONTROLS Menu -> LibAlianym -> Interaction Key\nTo set a <Toggle Menu Keybind> go to CONTROLS Menu -> Alianym's Suite -> Open Librarium",
	LIBRARIUM_SETTINGS_ACCOUNT_WIDE = "Account-Wide",
	LIBRARIUM_SETTINGS_ACCOUNT_WIDE_TOOLTIP = "Select to have an Account-Wide Librarium.",
	LIBRARIUM_SETTINGS_RESET_BUTTON_NAME = "Reset the Librarium",
	LIBRARIUM_SETTINGS_RESET_BUTTON_TOOLTIP = "This will delete every user-created and discovered book in the Librarium",
	LIBRARIUM_SETTINGS_RESET_BUTTON_WARNING = "CAUTION: Are you certain you wish to reset the Librarium?",
	LIBRARIUM_SETTINGS_SAVING_MAIL_HEADER = "Saving Mail", --Note for Translators (Heading, not Notification)
	LIBRARIUM_SETTINGS_TAMRIEL_DATE_NAME = "Add Tamriel Date to Saved Mail",
	LIBRARIUM_SETTINGS_TAMRIEL_DATE_TOOLTIP = "Select to add in-universe dates to any mail you save.",
	LIBRARIUM_SETTINGS_MAIL_ATTACHMENT_DATA_NAME = "Add Attachment Data to Saved Mail",
	LIBRARIUM_SETTINGS_MAIL_ATTACHMENT_DATA_TOOLTIP = "Select to append details about attachments to any mail you save.",
	LIBRARIUM_SETTINGS_MAIL_SAVE_SENT_NAME = "Save Sent/Outgoing Mail",
	LIBRARIUM_SETTINGS_MAIL_SAVE_SENT_TOOLTIP = "Select to save mail that you send.",
	LIBRARIUM_SETTINGS_SENDING_BOOKS_NAME = "Sending Books",
	LIBRARIUM_SETTINGS_AUTHOR_TOOLTIP = "How would you like to be attributed? Example: @Name (You can put 'anonymous')",
	LIBRARIUM_SETTINGS_LOCATIONS_TOOLTIP = "In what zones would you like your books to appear? Example: ",
	LIBRARIUM_SETTINGS_DISCORD_NAME = "Join My Discord!",
	LIBRARIUM_SETTINGS_DISCORD_TOOLTIP = "Join my Discord to chat about my released and in-progress AddOns, to help with translations, or to submit books outside the game!",

	----
	--Mail Date Strings
	----
	LIBRARIUM_DATE_SUNDAY = "Sundas",
	LIBRARIUM_DATE_MONDAY = "Morndas",
	LIBRARIUM_DATE_TUESDAY = "Tirdas",
	LIBRARIUM_DATE_WEDNESDAY = "Middas",
	LIBRARIUM_DATE_THURSDAY = "Turdas",
	LIBRARIUM_DATE_FRIDAY = "Fredas",
	LIBRARIUM_DATE_LOREDAS = "Loredas",

	LIBRARIUM_MONTH_ONE = "Morning Star",
	LIBRARIUM_MONTH_TWO = "Sun's Dawn",
	LIBRARIUM_MONTH_THREE = "First Seed",
	LIBRARIUM_MONTH_FOUR = "Rain's Hand",
	LIBRARIUM_MONTH_FIVE = "Second Seed",
	LIBRARIUM_MONTH_SIX = "Midyear",
	LIBRARIUM_MONTH_SEVEN = "Sun's Height",
	LIBRARIUM_MONTH_EIGHT = "Last Seed",
	LIBRARIUM_MONTH_NINE = "Hearthfire",
	LIBRARIUM_MONTH_TEN = "Frostfall",
	LIBRARIUM_MONTH_ELEVEN = "Sun's Dusk",
	LIBRARIUM_MONTH_TWELVE = "Evening Star",

	LIBRARIUM_DATE_SECOND_ERA = "2E",
}

for id, stringVar in pairs(stringsEN) do
   ZO_CreateStringId(id, stringVar)
   SafeAddVersion(id, 1)
end

--

local a=LibrariumBooks;a.LibCategories={}a.LibCategories[1]="Reading Room"a.LibCategories[2]="Notice Board"a.LibCategories[3]="Personal Writings"a.LibCategories[4]="Adventures"a.LibCategories[5]="Mail Room"a.LibCollections={}a.LibCollections[1]={}a.LibCollections[1][1]={name="Author/s Unknown",description="Welcome to the reading room.",gamepadIcon="/esoui/art/icons/justice_stolen_book_001.dds"}a.LibCollections[1][2]={name="Notes, Handbills, and Posters",description="Welcome to the reading room.",gamepadIcon="/esoui/art/icons/justice_stolen_book_001.dds"}a.LibCollections[1][3]={name="Clockwork Cogitations",description="Welcome to the reading room.",gamepadIcon="/esoui/art/icons/justice_stolen_book_001.dds"}a.LibCollections[1][4]={name="Linguistics and Poetry",description="Welcome to the reading room.",gamepadIcon="/esoui/art/icons/justice_stolen_book_001.dds"}a.LibCollections[1][5]={name="War and Strife",description="Welcome to the reading room.",gamepadIcon="/esoui/art/icons/justice_stolen_book_001.dds"}a.LibCollections[1][6]={name="Mystics and Magicks",description="Welcome to the reading room.",gamepadIcon="/esoui/art/icons/justice_stolen_book_001.dds"}a.LibCollections[1][7]={name="Tales of Romance",description="Welcome to the reading room.",gamepadIcon="/esoui/art/icons/justice_stolen_book_001.dds"}a.LibCollections[1][8]={name="Priests and Preachers",description="Welcome to the reading room.",gamepadIcon="/esoui/art/icons/justice_stolen_book_001.dds"}a.LibCollections[1][9]={name="Folktales and Portents",description="Welcome to the reading room.",gamepadIcon="/esoui/art/icons/justice_stolen_book_001.dds"}a.LibCollections[1][10]={name="Lost Empires",description="Welcome to the reading room.",gamepadIcon="/esoui/art/icons/justice_stolen_book_001.dds"}a.LibCollections[1][11]={name="Correspondence",description="Welcome to the reading room.",gamepadIcon="/esoui/art/icons/justice_stolen_book_001.dds"}a.LibCollections[2]={}a.LibCollections[2][1]={name="Notice Board",description="Welcome to the Announcements.",gamepadIcon="/esoui/art/icons/divineslore_book1.dds"}a.LibCollections[3]={}a.LibCollections[3][1]={name="Personal Thoughts",description="Welcome to your library.",gamepadIcon="/esoui/art/icons/quest_letter_002.dds"}a.LibCollections[4]={}a.LibCollections[4][1]={name="Dating",description="Welcome to the CYOA room.",gamepadIcon="/esoui/art/icons/lore_book1_detail2_color1.dds"}a.LibCollections[5]={}a.LibCollections[5][1]={name="Sent Mail",description="Welcome to the Mail Room.",gamepadIcon=""}a.LibCollections[5][2]={name="Received – Hireling",description="Welcome to the Mail Room.",gamepadIcon="/esoui/art/icons/quest_letter_002.dds"}a.LibCollections[5][3]={name="Received – Player",description="Welcome to the Mail Room.",gamepadIcon="/esoui/art/icons/quest_plans_001.dds"}a.LibCollections[5][4]={name="Received – System",description="Welcome to the Mail Room.",gamepadIcon="/esoui/art/icons/quest_scroll_001.dds"}local b={[1]={[1]={[1]={title="The Lusty Imperial Councilor, Vol 1,",medium=BOOK_MEDIUM_SCROLL,oocAuthor="Alianym"},[2]={title="Confessions: Memoirs of a Vampire",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(Discord) NihilAzari#8709"},[3]={title="Daedra Among Us, Part I",medium=BOOK_MEDIUM_LETTER,oocAuthor="Alianym"}},[2]={[1]={title="From Scribbles To Art",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="Alianym"},[2]={title="ANTIQUARIAN SEEKING GUIDE",medium=BOOK_MEDIUM_LETTER,oocAuthor="(NA) Astrande Direnni"},[3]={title="Society of Scholars",medium=BOOK_MEDIUM_NOTE,oocAuthor="(NA) @Scholars_Guild"},[4]={title="Dark Elves: A degrading name",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(EU) Ephinyss Ashar"},[5]={title="A Daughter's Love",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(EU) Vilsiriel"},[6]={title="Piracy! It's A Crime",medium=BOOK_MEDIUM_SCROLL,oocAuthor="<No Credit Requested>"},[7]={title="An Ethereal Notice",medium=BOOK_MEDIUM_LETTER,oocAuthor="Mistress Laloux"}},[3]={[1]={title="Restricted Document Series: 5234 Item#: 1",medium=BOOK_MEDIUM_METAL_TABLET,oocAuthor="<No Credit Requested>"},[2]={title="Restricted Document Series: 5234 Item#: 2",medium=BOOK_MEDIUM_METAL,oocAuthor="<No Credit Requested>"}},[4]={[1]={title="It's Pronounced 'Keh-rum'",medium=BOOK_MEDIUM_NOTE,oocAuthor="Alianym"},[2]={title="On Gwylim University",medium=BOOK_MEDIUM_NOTE,oocAuthor="Alianym"},[3]={title="One for the Vine",medium=BOOK_MEDIUM_ANIMAL_SKIN,oocAuthor="(NA) @Dementia5"},[4]={title="The Promise of Grace",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(NA) @Dementia5"},[5]={title="Hand of Fate (a musing)",medium=BOOK_MEDIUM_ANIMAL_SKIN,oocAuthor="(NA) @Dementia5"},[6]={title="Av Molag Anyammis, av Latta Magicka",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(NA) @Dementia5"},[7]={title="The Razor of Scrutiny",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(NA) @Dementia5"},[8]={title="The Quieting of the Undergrowth",medium=BOOK_MEDIUM_ANIMAL_SKIN,oocAuthor="(NA) @Dementia5"},[9]={title="A Storm of Words",medium=BOOK_MEDIUM_ANIMAL_SKIN,oocAuthor="(NA) @Dementia5"},[10]={title="The Necromancer",medium=BOOK_MEDIUM_ANIMAL_SKIN,oocAuthor="(NA) Countess Erzsêbet"},[11]={title="The Fruit of Glamour",medium=BOOK_MEDIUM_ANIMAL_SKIN,oocAuthor="(NA) Countess Erzsêbet"}},[5]={[1]={title="Dominion Field Journal – Cyrodiil",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="Alianym"},[2]={title="A Soldier's View, Part 1",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(NA) Sitemius, @OfTheEight"},[3]={title="A Soldier's View, Part 2",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(NA) Sitemius, @OfTheEight"},[4]={title="A Soldier's View, Part 3",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(NA) Sitemius, @OfTheEight"},[5]={title="A Soldier's View, Part 4",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(NA) Sitemius, @OfTheEight"},[6]={title="A Soldier's View, Part 5",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(NA) Sitemius, @OfTheEight"}},[6]={[1]={title="A Trick of the Mind",medium=BOOK_MEDIUM_ANIMAL_SKIN,oocAuthor="(NA) @TheAllegorist"},[2]={title="The Power of Illusion, Vol 1",medium=BOOK_MEDIUM_ANIMAL_SKIN,oocAuthor="(NA) @TheAllegorist"},[3]={title="The Power of Illusion, Vol 3",medium=BOOK_MEDIUM_ANIMAL_SKIN,oocAuthor="(NA) @TheAllegorist"},[4]={title="The Power of Illusion, Vol 6",medium=BOOK_MEDIUM_ANIMAL_SKIN,oocAuthor="(NA) @TheAllegorist"},[5]={title="Daedra in Form: Bound Armaments",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(EU) Morgan le Blanc"},[6]={title="Arcane Findings - Soul Energy",medium=BOOK_MEDIUM_ANIMAL_SKIN,oocAuthor="(EU) Elarynia, Witch"},[7]={title="On Sono-Noematic Harmony – The Law of Similarity Re-examined",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(EU) @EmberRaven"},[8]={title="Soul Starved",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(NA) W"},[9]={title="Alexis' Shadowy Grimoire - Excerpts",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(EU) Alexis Z. Ashwing"}},[7]={[1]={title="The Fires of Passion, Ch. 1",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="Alianym"},[2]={title="Sweet Chikyû",medium=BOOK_MEDIUM_LETTER,oocAuthor="(EU) Fyroniel Birdsong"}},[8]={[1]={title="The Principles of the Eight, Part 1",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(NA) Sitemius, @OfTheEight"},[2]={title="The Principles of the Eight, Part 2",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(NA) Sitemius, @OfTheEight"},[3]={title="WORMBOOK I",medium=BOOK_MEDIUM_ANIMAL_SKIN,oocAuthor="(NA) @ErkorLad"},[4]={title="WORMBOOK II",medium=BOOK_MEDIUM_RUBBING_PAPER,oocAuthor="(NA) @ErkorLad"},[5]={title="The Principles of the Eight, Part 3",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(NA) Sitemius, @OfTheEight"},[6]={title="The Principles of the Eight, Part 4",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(NA) Sitemius, @OfTheEight"}},[9]={[1]={title="The Final Act",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(NA) Ace of Jokers"},[2]={title="The Shadow Beneath the Forest",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(EU) Gaerlyn Vernon"},[3]={title="The Dreaming Demon, Tome I",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(EU) Rebekah Meilan"},[4]={title="The Dreaming Demon, Tome II",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(EU) Rebekah Meilan"},[5]={title="The Unusual Skaa'fin, Part 1",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="Alianym"},[6]={title="Abyss",medium=BOOK_MEDIUM_NOTE,oocAuthor="Alianym"}},[10]={[1]={title="Observations of the Ayleids - Architecture",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="(EU) Caeyla Gentleflame"}},[11]={[1]={title="Letter to Terelien",medium=BOOK_MEDIUM_LETTER,oocAuthor="(EU) Naering"},[2]={title="Song of the Strangler: A Spinner's Tale",medium=BOOK_MEDIUM_SCROLL,oocAuthor="(EU) Terelien"}}},[2]={[1]={[1]={title="A Note From The Custodian",medium=BOOK_MEDIUM_SCROLL,icon=99,oocAuthor="Alianym"},[2]={title="New Adventures!",medium=BOOK_MEDIUM_SCROLL,icon=99,oocAuthor="Alianym"}}},[3]={[1]={[1]={title="A Note From The Custodian",medium=BOOK_MEDIUM_SCROLL,icon=99,oocAuthor="Alianym"}}},[4]={[1]={[1]={title="Smolder Scrolls (Razum-dar)",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="Zenimax Online Studios"},[2]={title="Smolder Scrolls (Naryu)",medium=BOOK_MEDIUM_YELLOWED_PAPER,oocAuthor="Zenimax Online Studios"}}}}function a:GetShowTitle(c,d,e,f)local g=b[c][d][e].title or""if g==""and not f then return false else return true end end;function a:GetDefaultBookIcon(h)local i={[1]="/esoui/art/icons/justice_stolen_book_001.dds",[2]="/esoui/art/icons/lore_book5_detail2_color5.dds",[3]="/esoui/art/icons/lore_book1_detail2_color1.dds",[4]="/esoui/art/icons/quest_plans_001.dds",[5]="/esoui/art/icons/quest_letter_002.dds",[6]="/esoui/art/icons/quest_scroll_001.dds",[7]="/esoui/art/icons/quest_stormhaven_item_003.dds",[8]="/esoui/art/icons/quest_cwc_inc_bookplate001.dds",[9]="/esoui/art/icons/quest_cwc_inc_scrollplate001.dds",[99]="/esoui/art/icons/divineslore_book1.dds"}return i[h]end;local j=string.format("%s",string.rep("\n",9))local k=string.format("%s%s",string.rep("\n",11),string.rep(" ",11))local l=string.rep("\n",3)local m="esoui/art/treasuremaps/treasuremapglenumbraprototype1.dds"local n="(My Grandchild's First Drawing)"local function o(c,d,e)local p={[1]={[1]={[1]={"[Scribe: Unknown]\n\nAct VI, Scene III, continued\n\nCouncilor Phallius' assistant knocks on the door of his chambers.\n\nAssistant: Councilor Phallius, a council meeting has been called. Will you be along shortly?\n\nCouncilor Phallius: Ah, my dear assistant. Unfortunately I am a little tied up at the moment. Can you stall them for me?\n\nAssistant: But Councilor, what will I tell them?\n\nCouncilor Phallius: Tell them I am meeting with a citizen. I will not leave her until we have reached a mutually satisfactory conclusion to our business.\n\nA thud emanates from behind the closed door.\n\nAssistant: Councilor Phallius, what was that noise?\n\nCouncilor Phallius: Ah, nothing to worry about my dear. \n\nThe Councilor speaks to someone else in the room.\n\nCouncilor Phallius: You are lucky I have a hard head my sweet, but perhaps that is why you have come today?\n\nAssistant: What was that, Councilor?\n\nCouncilor Phallius: Nothing at all. Tell the council I will be along shortly. Plenty of time, my dear. Plenty of time."},[2]={"by Anonymous\n\nI. Occasionally, I forget myself.\n\nI lose myself to life and all its wonders; to its experiences and its people who so skilfully make me forget myself as if I were a leaf lost to the winds. Who could say no to life? It is vivid and ever changing, its people breathing colours into your very soul. Everything comes alive like flowers in spring when you participate.\n\nIt is hard to look away once it captures you, and yet... I find myself in a position where it is necessary. I can’t risk enjoying life, not fully. I am not only responsible for myself, but for others as well. Those who get involved with me risk disappointment and suffering each moment they spend with me, yet how am I to continue living if not amongst them?\n\nLiving with vampirism is like walking a line. It is like trying to avoid the temptation of submerging yourself fully into a cold river on a hot summer day. You can get involved with mortals, but never fully. Not if you hold them dear, like I do. I wish them no suffering; I only wish to alleviate my own. How far can I allow myself to go to enjoy life? When is the right time to pull away? These are questions that have no answers; questions that I can’t bear to find answers to. And yet they swarm my mind and occupy it continuously without interruption.\n\nII. This is my curse, the life I have chosen.\n\nI wasn’t turned forcefully. I sought out a coven of vampires in search of somewhere to belong. I was scared of those who might do me harm, for they were many. Once I was turned, I found that the fear was no less; it was just different... but now I had potential, where previously I had none. Over time I learned to live with the fear and even overcame it.\n\nI learned that kinship, however important, cannot always be trusted. My only condition for the trust and loyalty I gave my sire was a promise of peace, but once my sire broke that promise, I found it necessary to leave our family and carve my own path.\n\nI fled to the deep woods where I meditated, trained and hunted. I learned to live with the curse in a way that allowed me to inflict as little pain upon others as possible. Although I hid from society during this time of deep reflection, I hunted others who shared my curse; those who had forgotten their sense of humanity and sought to destroy all good that is left in this world. I established the belief that although we are monsters, we were first mortals. As such, it is important not to forget ourselves, nor those we used to have kinship with. We do not need to be enemies, even though many might want to see it that way.\n\nI came to realise that in some cases it was naïve of me to offer some people the benefit of the doubt and a chance for redemption. Sometimes there is just no other option but the cruel dagger of death. Some of my kin do simply not wish to change their ways, or they have sunk so deep into their oceans of dark convictions that they are impossible to save; left to drown in their own hatred and desire for revenge. Because of this, I try not to view the world through a veil of guileless white, for no matter how dearly I wish for everyone to have something good in them, some people – some monsters – are simply beyond redemption.\n\nIII. The urge to feed.\n\nWhen I first turned, I was hit with the strongest feeling of hunger I had ever felt in my life. No matter how much blood I consumed, the hunger would not go away. It felt like standing at the top of a cliff, waiting for the next blow of wind to knock me off the edge. I could snap at any time. I learned to control my urges with practice and patience, but the hunger never went away. Unlike beasts who know when to stop, vampires have no limits when it comes to their appetite, as we were created in Molag Bal’s design to seek domination.\n\nIt greatly disturbs me that I cannot avoid forcing myself on others, despite having found ways not to spread my curse or kill. For that reason, I seek to avoid feeding on sentient beings as much as I can. By feeding from animals I can sustain myself, but it is no way to live – merely a way to survive.\n\nThere are many that would wish me harm because I am a hunter of the night, because I am cursed, because I violate innocents. If I am attacked by someone who wish to kill me, how do I proceed? I wish no harm upon others, even if they are monster hunters. For if they are monster hunters, they wish the same thing as I; a safer Tamriel from those who would wish harm upon others. I will be no better than the monsters they seek to hunt if I defend myself against them, so I have resorted to fleeing. Not because I can’t fight back - I am very capable of defending myself – but because I feel an affinity with them.\n\nIV. The only family I have is my kin.\n\nWhen it comes to mortals, there is one grand difference that sets us apart; the matter of immortality. Although I am a mer and was always prepared to outlive some of my friends and acquaintances, immortality does not even come close to being similar. My body does not age, yet my soul will live a thousand lifetimes. Although I may make friends and lovers, they will be gone in the blink of an eye. Empires will rise and fall like the seasons, yet I will still be here, standing tall like an enduring mountain.\n\nThe only relations I am able to keep are those of other immortals and vampires. These friendships may thrive for centuries, but so will hatred and bad blood. This is why I would discourage any vampire from seeking an immortal lover; lovers may quarrel and grow to hate each other, but friends find a reason to forgive. The only love a vampire may gain is that of a mortal, and yet it is a fleeting pleasure, not expected to last. I feel sorry for my kin and the mortals who know not what they get themselves into.\n\nI expect no mercy for my actions; I anticipate only retribution. Yet I hope to one day find a mortal willing to share an eternity with me, though I know it is a foolish and selfish wish.\n\nV. I keep secrets because secrets keep me alive.\n\nThere exist no honest vampires. If they existed, they would all be dead. To withhold information that is relevant or crucial to a person is the same as lying.\n\nDo I owe the truth? To anyone at all? I have often wondered if it makes me a liar not to tell the truth of my vampirism; I have often wondered if I owed my friends the truth, or whether the truth was reserved for me alone.\n\nDespite having agonised about it, I have yet to come to any conclusions. I can only tell that I have never been able to shake off the violent feeling of guilt that accompanies me everywhere I go when a person opens up to me. Like the sun revealed by a moving cloud, while I remain hidden in the shade.\n\nVI. I will remain as I am.\n\nThe thought of obtaining a cure has often occupied my mind. While I am still young, I can easily return to life as it was before I gained my curse. Would it not make sense to take the opportunity, if I could? I could have another chance at a normal life, without the deceit, the loneliness or the brutality of vampirism. But then, why did I turn in the first place?\n\nI have often found it necessary to reconsider why it was that I made the decision to turn. I keep telling myself that I did it because I wanted power to do good, but that is not true. Back then I simply wanted power for the sake of my own survival. Over the years, it has changed. I believe I can have a better impact on the world as I am now, rather than the way I was before.\n\nYou may judge me as you like. I just pray that when you look me in the eyes, you will see me as a person, and not merely as a monster."},[3]={"Are there daedra among us? It could happen. \n\nThey take many forms you know. From the erstwhile neighbour to the fanatic screeching about the end of the world. The Bad Man might be a daedra. Good men might be daedra too. Or even women.\n\nMer might suffer daedric infestations and we wouldn't even know it. Or would we? \n\nMaybe we wouldn't want to know. Maybe it would be better that way. What could we do even if we did know of a daedra among us? \n\nKill it? No, you can't kill a daedra. They just come back. Some would seek to profit off of them. Make a deal with these demons of the beyond. Yet they rarely end well for mere mortals.\n\nWhat then should our course of action be? Stick our heads in the sand and pretend they don't exist? Maybe that way we won't be driven mad by the truth. We can just go about our day to day and pretend the big bad world out there isn't out there, and maybe it'll all be alright."}},[2]={[1]={string.format("%s|t375:485:%s|t%s %s",j,m,k,n)},[2]={"Fivefold Venerations - \n\nI am a local scholar and antiquarian seeking a guide skilled in traversing the Valenwood. Enchantments, Repairs, Soul Gems, Stabling, Tack, Room, & Board is provided in compensation. If you or other parties are up for the task, please postmark a response to the address provided below. \n\nKind Regards, \nLady Astrande\n\nASTRANDE, DIRENNI VICEREEVE\nAPT #09, SAINT DELYN\nVVARDENFELL"},[3]={"Greetings fellow scholar! \n\nWe are the Society of Scholars, a guild of individuals with a passion for the varied stories of Nirn and Tamriel, seeking knowledge in long-forgotten delves and discussing the mysteries of Mundus and Oblivion throughout the many locales that we have had the chance to explore. We are a very accommodating guild with no participation, status, or experience requirements. Our institution was formed with the idea of bringing together individuals who share this interest, to engage in discourse in whichever forum you choose, and to participate in the discovery of lore throughout Tamriel together.\n\nWhile we do explore dungeons in the typical fashion, we also offer people the chance to search dungeons in a slower, more meticulous manner to discover the story of that location. If someone in our group has never explored a particular dungeon before, or they previously rushed through in haste, we allow them to discover the lore at their own pace without feeling rushed. The lore in most dungeons is quite fascinating, and it would be a shame if some never learned those secrets. You can expect our lore quests to be relaxed and pressure-free, as much as dungeon exploration can be.\n\nWe also explore other aspects of Tamriel: assisting in the pursuit of crafting, searching for skyshards to unlock their mysteries, hunting beasts that threaten the locals or even the world, and participating in seasonal events across the realms, to name a few. Whatever your interest, there is likely a scholar willing to pursue it with you.\n\nIf any of this sounds like something you would be interested in, let us know and we will send you an invite! Whether you're new to Tamriel or a battle-hardened veteran, whether you are a loremaster or an apprentice, whether you spend all your time out exploring or only check in on occasion, you are welcome to be a part of our society.\n\nCurator\nSociety of Scholars"},[4]={"As a Dunmer and aware of my origins. I still take offence at hearing the Norsemen of my Brotherhood, my friends and strangers refer to me by the degrading appellation \"Dark Elf\".\n\nWould the idea of referring to the Bosmer as \"Beige Elves\" or the Altmer as \"Yellow Elves\" even cross your mind for a moment? I don't think so. And if it is the case, let me tell you how degrading that term is, reducing a civilization to its physical appearance is indelicate and inappropriate.\n\nPlease call us \"Dunmer\" from now on and I will also call you by the name chosen by your people and not by random physical descriptions."},[5]={"By Vilsiriel\n\nWhenever the topic of my worship of Azura comes up (as it so often does) my conversation partner, if their mind is open, is most curious of what it was that brought me to Azura's worship in the first place.\n\nOf course, the presumption that there was something that brought me to her worship in the first place is fallacious, as in my time as a priestess I have encountered many a fellow adherent who was raised in the faith by equally devout parents. Still, for me personally, this was not the case, and I am always happy to share my own experiences which brought me to our Mother's loving arms.\n\nI grew up as many other well-bred, well-to-do Altmer do, an only child in an elegant home, surrounded by servants, silks, volumes of ancestral history, strict regulation, and the fervent worship of the Divines. My own mother and father were cold mer, successful maritime merchants, concerned primarily with amassing and retaining wealth and status, and their presentation to their fellows. As far as their daughter was concerned, my role was to not embarrass them, and as I aged, follow in their footsteps. I was raised by equally disinterested servants.\n\nI was a quiet child, shy and nervous of the world around me.  Outwardly, I never questioned my parents or their expectations of me. But inside me, the most passionate fire burned, the need to love and be loved, for love was something no one, no other Altmer, nor their distant deities, had ever offered me.\n\nMy first love was Pelion. I found him on one of my many wanders in the forest (\"always your mind with the stars, Vilsiriel,\" as my mother would snarl), barely out of the egg, his wings not yet developed enough to fly, crying out for his own parents. Immediately feeling a kinship with this poor abandoned soul, I took him home and secretly raised him in my chambers, hidden in the wardrobe when the servants came in to tidy. When he grew larger and stronger, I would let him out the window to stretch his wings, and he always returned. Of course, it didn't take long for a servant to notice, and my love was cruelly torn from me, sent away to be entrapped by some menagerie. This was the first and only time my mother ever switched me.\n\nI turned inward even further after this. I lost myself in my studies, reading feverishly, learning all I could about the arcane, history, philosophy, beasts, and the world outside Summerset -- as well as outside Nirn. Through this, I found Azura.\n\nThat first Hogithum, I offered her the most beautiful rose from our gardens, and a multihued feather of Pelion's I had for years stowed away, hidden among my jewelry, and a poem, earnest though lyrically dreadful. It was then that I experienced something I didn't think possible. Through her messenger, a winged twilight, my Mother spoke to me kindly. She embraced me with her shining wings, and told me that I was loved.\n\nAnd for the first time in my life, I wept tears of joy."},[6]={"You wouldn't steal a cart,\nYou wouldn't steal a statue,\nYou wouldn't steal a painting,\nYou wouldn't steal a sweetroll.\n\nBuying pirated goods is stealing,\nStealing is against the law,\n\nPIRACY! IT'S A CRIME"},[7]={"SEEKING DREAMERS\n\n*for intriguing independent research opportunities!*\n\nTormented by less-than-sweet dreams? Subliminal mystic messaging got you down? Haunted by that perfect recurring scene… where you always seem to open your eyes right when you get to the good bit?\n\nMistress Laloux - the Diva of Divination, the Clairvoyant of Corinthe, Oneiromancer in Chief - is seeking eager somnolentities such as yourself to share their nocturnal adventures for her ongoing DREAM RESEARCH*!\n\nWrite our society today and submit your dreams to our foundation for insight into your inner third eye! Who knows, maybe you can turn your terrifying nightmares into wonderful brightmares.\n\n**Not affiliated or endorsed by the Imperial Mages Guild or any other mainstream magickal organization*"}},[3]={[1]={"-The Soul In the Construct\n\n\"Do I have a soul?\"\n\nIt seemed such an innocuous query for me to ask my Apostle caretaker; after all, I had heard 'soul' gems are used in the creation of my fellow factotums. This inquiry which was rather benign by my estimation, however, was the impetus for a facial expression which I could not properly register.\n\nDisgust? Shock? Terror? None of these would be proper elicitations from my words. I suppose it was unusual. The other factotums only showed interest in the subjects about which our Clockwork Creator had instilled the needed curiosity.\n\nWas it wrong of me to ask? I do not feel it was. Feel... Such an odd word. Do I feel? What do I feel? I feel I am wrong. I feel shame. I have troubled my caretaker and her compatriots. They are upset.\n\nI heard them speaking in hushed voices after they clamped a vice over my auditory sensors. It muffled their words but did not conceal their tones. They were worried. They weren't even following proper protocols anymore.\n\nDo I have a soul? They never answered that question. I do not think they will. Now they take me to be removed from circulation. I recognize that phrase. It is the phrase that is used when a factotum will never return.\n\nI accept my fate. Though there is one Apostle who seems more interested in me than afraid or upset. I do not know their identity, their name, or their gender. They did not speak to me, but another Apostle spoke of them. They gave me leave to commit my final thoughts to sequence before the end.\n\nIt is my time now, and they want to take me to be decomissioned. I hear a voice, here at the end. The voice of a women, deep within the soul I do not know if I have. Who are you? It does not matter now. I am ready. \n\nRegardless, I must make transmit my final thanks. Mystery Apostle, I thank you for letting me be remembered."},[2]={"-Interested Party\n\nDay 1 After Decomission:\n\nThe factotum has been decomissioned as requested, and now I take its final musings back to the Apostle's own servant fabricant. They are a strange one, that Apostle. I think it's to do with how they almost don't have a physical presence.\n\nLiterally of course that's not the case, but they only act through their servants. Nobody gets to see them... Nobody wants to see them. I feel sorry for them. It must be a sad life. It's why I agreed to acquire for them the last thoughts of a to-be-decomissioned fabricant.\n\nSuch an odd request. I have a feeling I'll never get an answer to why they wanted it. But I do hope it makes them feel better, for whatever reason it might.\n\n---\n\nDay 5 After Decomission:\n\nThey approached me again, the strange Apostle. Well, their fabricant I mean. They brought a message about another request. Maybe I sparked something in them? It definitely wasn't a desire to go out from their metaphorical cave from what I can tell.\n\nWhat it was, was a request for another pickup. They want me to find something about Saint Olms. Talk to someone about him. I don't know why me of all people. And wouldn't he rather a book on the Saint?\n\nI'll help the hermit out I suppose. When I next get a chance. Not like he's going anywhere.\n\n---\n\nDay 8 After Decomission:\n\nI spoke with the designated Tarnished in Slag Town and have come away quite disturbed. According to the rather pitiful figure, he was a former Apostle who claimed to have found that Saint Olms had been peverted, his soul uncremoniously shoved into a daedric fabricant.\n\nWhether he meant that it was a fabricant in the form of a daedra or some unholy merger of daedra and machine I don't know. And to be clear, I don't want to know. It certainly sounds crazy, and is likely how he wound up as a Tarnsihed.\n\nNo matter, I have the information the hermit sought. Though only two tasks and already I am wondering... Maybe I should go and see this hermit for myself. Ask some questions of my own. I'll have that fabricant of his take me. Perhaps I'll get some answers.\n\n[Archivist's Note Follows]\n\nJournal plaques belonging to Apostle Balen were not dated, and have been assigned time values based on corroborating contempory data. This practice has been continued on the entire series.\n\nA copy of plaques documenting the final thoughts of a faulty factotum were found in his room and have been archived with his collected journal. \n\nAt the time of Apostle Balen's disappearance it was treated as not-of-note. I am personally concerned it was overlooked given the disappearances of several others in only a few months. I suppose it is the benefit of hindsight that we can now tie them back to the same individual."}},[4]={[1]={"Hey sis, bringing you the latest in scholarly wisdom just in time for your application to join the Antiquarians. Still don't know what you expect from that lot, but if you're gonna join, you might as well know your \"Ree's\" from \"Rey's\", and today I'm the bloody Sapiarch of Loquacious Utterances!\r\n\r\nSo let's start with the title shall we? Anyone who's spent time with the high and mighty elves of Summerset is likely to have heard or seen the word \"cerum.\" If you've only seen it written you might be forgiven for thinking it's a soft 'c' like \"Cyrodiil\", or \"ceiling\". You'd also be wrong. All Elven languages have hard sounds. Don't ask me why, I'm not an etymologist. Oh and while we're on the topic, \"Elvish\" refers to their language and \"Elven\" refers to their society. So there you have it. I know it's all right 'cause I heard it from some talk a Loremaster did once about the province of Summerset. I think his name was Schtick or something...\r\n\r\nAnyway! Next time we'll take a jump to Cyrodiil and maybe talk a bit about the man who's father humped a hillock! (Spoiler: It's pronounced 'Ree')"},[2]={"Hey sis, back again!\n\nI just found out that the Antiquarian's Circle is a sub-group of Gywlim University, and had to tell you about a phenomenon I witnessed in some of the scholarly circles you know I frequent.\n\nIt seems like some academics and even would-be-public-speakers have made a deal with Gwylim University to conduct events with their blessing and sponsorship, I guess to increase their attendance with some of that sweet, sweet, brand recognition.\n\nAnyway, they're calling them \"Gwylim-sponsored Educational Discourses\". People tend to just call them GED talks. Rolls of the tongue better I suppose.\n\nMight attend one the next time one happens to show up in my local area, and I'll let you know what they're like."},[3]={"By Countess Erzsêbet\n\nRoses are black,\nViolets- not so much,\nHope is youthful, as am I\n\nAs orchids are white,\nGhost ones are rare\nReflected in mirrors that shine\n\nMagnolias grow\nWith buds like thorns,\nYet each surface is smooth\n\nTheir tendrils reach\nUp to the skies,\nWithin their shells, piercing\n\nFoxgloves in their hedgerows,\nSurround the gardens,\nWith petals that are delicate, cherished\n\nDaisies, so pretty\nDaisies have style,\nEither candidate is winning\n\nMy body, my form is beautiful,\nMy smile, also winning\nJust for you. For me."},[4]={"By Countess Erzsêbet\n\nHow warm is the nectar of my bloom\nAre you upset by how palpable it is?\nDoes it not tear you apart to see such vigor?\n\nI cannot resist looking at this claret.\nI cannot ignore its uncloudiness.\nDo not be surprised by such lucidity, its clarity.\n\nThe timbre is not impure!\nThe inflection is discordant, exceptionally so.\nA decline into the darkness of style.\n\nLightly it goes: the anemic, the unmixed, the neglected.\nWeep for others who must\nNever embrace such richness."},[5]={"By Countess Erzsêbet\n\nOut of the silent spring\nTo heed the call, our need to ascend\nWe justify our rising in the mist\nCertify our need to amend.\n\nHolding onto our arms, our hearts\nWe the leading runner, alongside the first contention\nCan you find me? Can you see?\nThe reason for being without mention.\n\nLet’s pretend that we can make it\nThat we can carry the day beside the road once ran\nLet’s make it so real, filled with life\nAnd trace the ways, the footsteps of man\n\nAnd carry me, onward\nAnd carry me, onward\n\nDesign a salvation to redeem us\nElse we disappear while the night calls\nWe can fly, we can stand\nHand in hand, toward the falls\n\nThis redemption, this being\nNot for them, but for the just\nTo think we are different from others\nSets the way, the way for us."},[6]={"Thy beauty is to me\nthat is gentle and wafts over the waters,\nthe forlorn and the vagabonds\nadrift along the coast.\n\nThe frenzy of the seas, clutching my bearings\nthy surlie hair and anuic face,\nthe air of Camlorn calling me back\nto the splendor of High Rock.\n\nLike sunbeams through a stained glass\nhow magnificent I appear to be,\nwith magelight in my palm\namid dwellers of Daedric land"},[7]={"By Countess Erzsêbet\n\n(Orig.: Hungarian)\n\nValójában nincs szépség?\nBármely más névvel\nés az utolsóig\nMegdöbbentlek. Megdöbbent.\n\n(Roughly Translated:)\n\nReally, no beauty after all?\nBy any other name\nand to the last.\nShocking. And Shocked."},[8]={"- A Revolt of Travesty and Incongruity\n\nBy Countess Erzsêbet\n\nStill now and in hiding I hear red.\nI listen to the undergrowth.\nThe blood laid quiet but flows now.\nIn hiding I hear this.\nListen. Victory flows red.\nQuietly, as colorless time roars onward.\nIt claims the victory of the undergrowth.\n\nListen, hiding its victory!\nListen! Listen!\nQuietly in that still undergrowth.\nTime lies still claiming the blood-roar,\nhiding its claim.\nVictory... listen!\nEach victory, more quietly now.\nI hide, hearing the roar\nof each victory.\n\nAll the lies\ncolorless and quietly hiding.\nAnd the undergrowth, still in red...\nit roars now. Hear the roar!\nListen... the silent undergrowth.\nThis time the red flow claims.\nI hear red, flows claiming victory.\n\nAnd the blood-roar! Oh, how it flows!"},[9]={"By Countess Erzsêbet\n\n...stand with me\nshrouded by a blanket\nof rhyme and meter.\nlet the words\nthat compose each thread\nwarm you\nchaff you\nshield you.\nfor words\nwords such as these\nwritten on the page\ncan blur and dissolve\nwith the rain\nbut against the fabric\nof rhyme and meter,\nit falls and beads.\nbut words\nwords such as these\nare preserved forever..."},[10]={"Such a strange and terrible spirit.\nWe felt dead winds stir within us.\nIn the darkness she heard\na voice lowered, sunken, singing so sweetly.\nIn unison we cried,\n'Who are we now?'\nDue to the heat, dropping heavily,\nponderous as the blood pulses a beat;\nthe slow word... is painful."},[11]={"I am an enchantress. I wonder\nhow others apperceive such glory. I\nhear the cries of others, the\nvoices of youth and of mine.\nI see my prizes gather, they\nmake their bids and reveal them.\nI want to look young, think\nbeautifully. I am a necromancer.\n\nI am haughty, and I have\nsuffered. I feel regenerated, vigorous and\ndetermined. I feel my nubile skin,\ntouch my supple breasts and fear\nfor my body, aging. I cry\nthat my actions are misconstrued or\nnot understood. I am a marvel,\nand proud. I am a necromancer.\n\nI understand that others depend on\nme to lead them, to coddle\nthem. And I will remain young\nand lively. Oh, how they will\nenvy me. I dream of returning\nto my position as lord of\nCamlorn again. I am one step\ncloser today. I am a necromancer.\n\nI hope this will be the\nday. And last for all eternity.\nFor I am a savant of\nsplendor, a triumph of grace. I\nam lovely and will remain so.\nI wore the spoils of entitlement\nI bear the fruit of glamour\nfor now. I am a necromancer."}},[5]={[1]={"[Scribe: Unknown]\n\n– 4th of  Sun's Height,\n\nI can't believe I'm still alive, my hands are shaking even as I write this and the adrenaline subsides. \n\nThe battle was exhausting, but nothing would deter us from defending the land we had acquired for the Aldmeri Dominion. By the time I arrived on the scene we had already destroyed the three main bridges that connected our lands to Ebonheart Pact territory, and there was but a singular passage that led over the slaughterfish-infested waters. A singular passage between us and the Pact's slavering hordes. \n\nThe Daggerfall Covenant had it seemed retired from our region of Cyrodiil for the time being, content to let us wage war with the Pact while they licked their wounds, so we were able to focus our considerable numbers on the defense of our eastern borders.\n\nUsing magicks beyond me, leaders across the battlefield were able to communicate both with each other, and many of our fellow soldiers across the distances spanning the border. With the aid of such spells and the movement of scouting parties to act as eyes and ears, we were well-equipped to handle the relatively brute-force tactics of the Pact. \n\nIt seemed their strategy was to throw wave after wave of troops at us in an effort to break through our forward line and reach the siege engines that kept the path aflame. I even saw a few dwarven siege engines on either side – assembled or repaired no doubt from the recently-prolific Antiquarians and their students. We held firm, however. That is at least until the call sounded...\n\n\"They're repairing the Bay Bridge!\"\nWhen we heard that our own scouts had seen Pact forward scouts repairing the southern-most bridge, we broke forces off the narrow path to investigate. By the time we arrived it had been repaired and was open to their hordes, but no hordes came that I could witness, and so to be certain we laid siege to the bridge again.\n\nThen for the second time that battle, a chill ran through me as another call was sounded. \n\n\"They're breaking through!\"\nI couldn't say if it was part of the Pact's plan, but it seemed like the repaired Bay Bridge had been a diversion as their forces swarmed over the Lunar Fang Docks, breaking our lines that had been depleted as we expected an engagement further south. \n\nWe kept them contained at the docks, but it was a fierce fight, with righteous fury from the Dominion, and a zealous frenzy from the Pact. For my part I barely survived the crushing wave of enemy soldiers that swept across the docks, but survive I did. Forward Camps were erected, and with a level of tight-knit cooperation I had not seen in Cyrodiil for a long time, we pushed them back to that narrow path... and we held.\n\nAs the fight continued we pushed across in an attempt to break their ranks, burning camps and siege along with felling their soldiers. They scattered, regrouped, and scattered again. Eventually some of us pushed to Cropsford, and the offensive was broken.\n\nThe Pact had turned their attention to the Covenant..."},[2]={"By Sitemius\n\nYou’re part of the Legion – a soldier with years in the ranks. But battlefield experience is still a rare thing. Most of the warfare is marching, waiting, and digging the trenches for siege camps.\n\nToday is different. Today you face the enemy in open battle. You’re about to experience war at its most intense.\n\n~The Battle Line~\n\nYou’ve formed battle lines before, going through the motions hundreds of times on the training ground. It comes easily to all 80 men of your century. At the shout from your centurion, you form up into four ranks, alongside the other five centuries of your cohort. Your cohort is in the forward line, facing the enemy across the open plain your general has chosen to fight on.\nLooking to left and right, you see long lines of men in matching armour and helmets, all carrying curved rectangular shields called scutum. Like you, every man carries a pilum or throwing spear, and wears a gladius, a short stabbing sword, at his waist.\n\nFar off to left and right, cavalry and irregulars form the flanks of the army. Some of the cavalry are Imperial citizens like you, natives of Cyrodiil, but most of those flanking forces are irregulars raised from conquered provinces. You can’t rely on them like you would your brother legionaries.\n\nAt last, the order comes, and you begin to advance."},[3]={"By Sitemius\n\n~Preparing to Fight~\n\nYou march in your lines, keeping close formation. There are gaps between the cohorts, into which those of the second line can move if needed. The third is held in reserve.\n\nEach century has its own standard bearer and looking at yours helps you to keep in place. By timing your footsteps to match those of your unit, you are easily able to keep formation. If you don’t then the Optio – your centurion’s second in command – is watching from the back, ready to shout you into line. You can hear him now, berating someone who has moved from their position, pushing them back into place with his baton of office. Discipline is vital to the legions.\n\n~The Officers~\n\nThe only people not in formation are the officers and the messengers who ride between them on swift horses. You know a few of the officers by sight. You even know the name of the general and of the legate leading your legion. But that’s all you really need to know. Their orders will reach you through the centurion.\n\nA rider gallops past. The enemy has charged on the left flank. You can hear the clash of iron and their war cries. The messenger is galloping away to report to the general, telling him how things look on the ground. It’s the only way officers can stay informed across the front."},[4]={"By Sitemius\n\n~Darkening the Skies~\n\nThere are men with bows and slings among the auxiliaries, but missile weapons aren’t for men of the legion.\n\nYour enemies are different. They’ve brought archers to the centre of the battle, a loose line of skirmishers who start firing at you. There’s no way to dodge, no hope of avoiding them hitting your tightly packed ranks. So, you raise your shields, the men behind lifting theirs up above your heads, protecting you as you protect the front of the formation.\n\nArrows rattle off this wall of wood and leather. One buries itself in your shield with a thud. Next to you, a man gets unlucky, an arrow finding its way through a gap and piercing his arm. As he drops back, cursing and bleeding, another man takes his place.\n\nThe enemy is yelling and screaming, beating drums and blowing trumpets in the hope of intimidating you, scaring you off before the fighting really begins. But Imperials are not so easily scared, and yours is a more civilised form of intimidation. As you march on the barbarians you do so in stern, calm silence.\n\nAt last, you’re close enough, the enemy less than thirty yards away. An order runs down the line. You lift your arm, draw back your pilum and fling it with all your might."},[5]={"By Sitemius\n\n~Close Combat~\n\nYou don’t wait for the enemy to come to terms with the shock of hundreds of heavy spears penetrating their ranks. As soon as the pila are thrown you yell at the top of your lungs and charge.\n\nSuddenly the cold, calm, silent legion turns into a storm of swords and fury crashing against the shore of the opposing army. You see the barbarians falter as this second shock kicks in. Sometimes that is enough to send them fleeing, but not today. Today they are made of stronger stuff. Today you will fight.\n\nYour aim, like that of everyone here, is to kill one of the enemies and step into the gap. That way you can force a break in his formation. A battle is all about the will to win. Once their formation starts to crumble and the enemy loses faith in their ability to hold, then they may run.\nYour hope is that they break before you.\nThe first attack doesn’t get through, and both sides back off, shouting at each other. The barbarians throw a few of your pila back at you, but they mostly hit shields. Then you charge again.\n\nIt’s hard, brutal work, as blows pound your shield, jarring your arm. You can only see what’s happening immediately in front of you, only attack whoever’s there, stabbing with your short sword, not swinging as that’s hard to do this close-up and more easily parried.\n\nSoon your arm aches, and your armour is chafing at your shoulder where the padding has slipped. There’s blood on your arm, and you’re not sure whose it is. Sweat soaks your tunic."},[6]={"By Sitemius\n\n~One Side Breaks~\n\nAt last, there’s a cry from further down the field. The line has broken.\n\nThe warrior facing you turns to run, but you don’t give him the chance. You cut him down from behind. Now is when the real killing will begin.\n\nSome of the enemy back off tentatively while others simply run. Neither tactic will do them much good if they can’t get out of the way. You advance quickly, making sure the remains of that formation are put to flight.\n\nThen there’s a shout from the centurion. You dress the ranks, lining your shield up against that of the man next to you, and wait to see where the battle will take you next."}},[6]={[1]={"HYPOTHESIS:\nThis particular experiment functions on the theory that the application of a certain thought or notion prior to the usage of illusory magic may, in fact, increase the magic's efficacy. It is well documented that, especially in cases of great anxiety and fear, the mind 'plays tricks' without any external forces contributing.\n\nIt is thereby possible that predisposing an intended target towards a particular feeling, be that rage, fear, or even tranquility, will make the application of the desired effect far easier on the caster. Practical applications of this effect, if proven successful, may include increasing the number of targets effected, as well as decreasing the cost to the caster themselves. This is what we will explore.\n\nEXPERIMENT:\nThis particular trial consisted of two different groups, though one of them was unawares that they were, indeed, a part of the experiment. The first group of volunteers opened their minds to the ministrations of the illusory magicks, at least initially. The second group, functioning under the notion that they were only there to observe, served as a worthy comparison to see if the effects actually work on someone who is not voluntarily partaking and, in fact, is actively fighting against the intrusion.\n\nThe latter, of course, is much closer to a true application of magicks in the field.\n\nBoth groups were exposed to the same falsehood: I created the visual illusion of a glowing flower in the middle of the cave where the experiment took place, and told them that it was a rare plant used by a tribe in the Black Marshes as a passage to adulthood. Said passage involved using its hallucinogenic properties to face one's innermost fears. None of the participants questioned the flower.\n\nInitially, members of the volunteer group fell deeply into the ruse, and none of them managed to fight their way out again until the second and third waves of my spell of fear. They appeared to experience auditory, tactile, and visual hallucinations.\n\nThe second group surprised me. I did not think that the spell would be able to work its way through to their minds, as subtle as it had been woven, and yet one of the members of the observing group became so agitated that she began to pace the chamber in a veritable froth. The other appeared to maintain her calm, but I do believe at some point I still managed to sense a trickle of alarm from her.\n\nI find the results from the second group to be perhaps more telling than the first. While I believe that the hallucinations experienced by this group were merely auditory, the fact that the spell broke through even without blunt application on my part hints at the theory's accuracy.\n\nCONCLUSION:\nThough further testing is clearly necessary, I now speak with more surety when I assert the belief that manipulating an individual's thoughts with external stimuli outside the realm of magic has the benefit of increasing the efficacy with which the mind may be effected. I am uncertain as to whether this might be actively useful outside of a controlled setting given the voluntary nature of the first group, but the results from the second group imply that even manipulations utilized against the expressly unwilling may generate positive results.\n\nIt should be noted that due to the sheer number of individuals who signed up for both observing and volunteering for the experiment, no specific thoughts or fears could be routed out. I made the attempt, and was met with a terrible cacophony of alien phrases and emotions, too garbled together to say which belonged to whom. Eventually I had to truncate that particular effort altogether, for it made it nearly impossible to keep up the spell over so many, and began to severely deplete my magicka reserves, not to mention inflict upon me the most grievous of headaches.\n\nAltogether I am most eager to continue in this line of thought. I believe my next attempt will involve actively influencing the mental state of the volunteer, either alchemically or in some other fashion, though I'm quite certain it will be difficult to find those willing to subject themselves to such. There was, of course, a decreased effectiveness when dealing with other mages, especially those who are familiar with this particular spell and craft, but as noted before, every member of both groups felt at least an inkling of the spell's effects, so I do not believe the effort even in that regard is for naught.\n\nNaturally, now that I am aware this theory could hold water, my first course of action is to gird myself against it. I am uncertain if this can even be done, of course - fear, after all, is a natural, basic instinct in all beings, sentient included.\n\nI may be able to guard myself from the malign magicks of others, but is it possible to protect myself from the mechanizations of my own mind?\n\n – Eliarta Sacabolis"},[2]={"A Collection of Essays, Lectures, and Prose\n\n(Compiled and summarized by Althiira Sagelock and Published through the Sanctum University)\n\nFOREWARD:\nLet me be the first to assure you, dear reader, that I am hardly a sage of any craft. Like many, perhaps even like yourself, I have learned by listening to those far wiser than I. I have utilized that information to my benefit countless times, and will continue to do so as I progress through this life. My purpose in putting pen to paper is to grant this knowledge further solidity, and to give it mobility outside the length of my own stride. My hope is that in reading this, you too will be enlightened to that which you were previously ignorant. In matters of self-improvement, there is no time like the present.\n\nEach of these summaries will be credited to their original authors. For more detailed information, seek out the associated texts.\n\nILLUSION: THE UTILITY OF FEAR\n\nA Lecture by Letos Lacidicus\nHosted by the Mage's Guild in Kvatch \n\nPREMISE:\nAsk any soldier and they'll tell you there's no better tactic than getting into your adversary's head. Fear tactics are not uncommon, anywhere from spreading greatly exaggerated rumors of one's prowess to shouting all manner of detailed, macabre threats. To demoralize an enemy mentally is to destabilize them as sure as any compromised footing. It is no surprise, then, how devastating a spell can be which directly uses this age-old truth. Such is the utility of Fear.\n\nSUMMARY:\nUtilizing Fear is no small feat. The mind is a tricky, complicated creature, and its range of emotion is enough to muddy the water. Naturally, this makes casting the spell on a sentient person much more difficult than using it on a mindless beast, and it is in one's best interest that they begin practicing with the latter rather than the former.\n\nI also recommend that this beast be something in the vein of a cat, a dog, or a chicken. Not a hibernating bear. I had thought this previously unnecessary to clarify, but as I am currently short one Apprentice, this has proven untrue.\n\n<There is a scribble by what was perhaps a prior owner> (NOTE: I think I'd have more luck trying this on a business rival than beasts. I tried casting on a chicken in Riverwood and everyone went flipping beserk!)\n\nUnlike with less subtle arts - Destruction comes to mind - spells in Illusion have a wider range of efficacy. Not every target will react the same. Some will simply be unsettled, which, while still useful, is not nearly as heartening as having said target turn tail and flee. There are many factors that contribute to this, but two serve as primary reasons: the will of the target, and the mastery of the caster. A target with an especially strong will and mind will not be as easy to effect as one who suffers woefully from a lack of both. Similarly, a mage who is better-trained and learned in the craft of Illusion, and indeed, one who has taught his or herself to use this spell specifically, will see much better results.\n\nIt is not always obvious how effective your casting has been. There are naturally tell-tale physiological signs of fear - shrinking pupils, sweat breaking out on the brow, belabored breathing. Sadly, these things are also common reactions to being in combat, which is most likely already transpiring when the spell is utilized. Even so, an effected target will often visibly begin to second-guess themselves. They will narrow their range of combative tactics, and in general will be much easier to put on the defensive. In scenarios where the spell has been used in a more delicate fashion, you will observe a shift of eyes and a twitch of fingers, a habit to stutter that may not have been present before, and a penchant for retracting words or hesitation to speak as openly. A person who has been intimidated by such a spell will also be more likely to spew truths rather than fictions under threat of interrogation.\n\nIt should be noted that this spell, as with most, can lose potency when spread over various targets. One cannot simply stand before an army and turn them from men into mice. Even so, a powerful practitioner may be able to demoralize a select group if they are allowed enough time to concentrate. Such an effect can easily turn the tide of a fight in one's favor."},[3]={"A Collection of Essays, Lectures, and Prose\n\n(Compiled and summarized by Althiira Sagelock and Published through the Sanctum University)\n\nCHARMING THE SNAKE: \nFAKING A SILVER TONGUE\n\nEssay by Siment Rard\nPublished by the Bard's Guild of Anvil\n\nSUMMARY\nOh, I know what you're thinking. It wouldn't work on me, no sir! Not at all! Surely you're above such trickery! You know a false smile when you see one, and you can tell easy enough a good egg from one gone spoiled.\n\nBut are you certain?\n\nTell me this. Have you ever encountered that smug-faced bastard at the tavern who, much as you think you should feel otherwise, seems inexplicably irresistible? Or have you ever felt the gravitational pull of a person speaking from across the room, addressing someone else on a topic that doesn't interest you, yet you're undeniably intrigued? A pretty face might be the explanation in some cases, or simply that you've had too much to drink, but I challenge you to reconsider. There is another factor at work here on our precious plane of Nirn, and let me tell you, we're all much more susceptible to it than we'd like to believe.\n\nI speak, of course, of Illusion. But more specifically, I speak of its ability to charm the pants off a priest (and not just one of Dibella.) It's a tricky little thing because, unlike a lot of magic, it isn't very in-your-face. There are no flashing lights, no balls of fire, no glowing eyes and twinkling fingers. A charm spell can be cast on the back of a breath from across the road and you'd never even know you'd fallen victim to it, not even when the caster walked up to bid you good day.\n\nIt's true, to some, this may seem a far less dangerous magic. They'd be wrong. It's terribly insidious, isn't it, to make someone like you? I for one highly value my opinion, and my ability to have it. If I think you're a sodding oaf, I should like to be able to tell you so rather than be forced to make doe's eyes at you.\n\nWe've all likely been swindled and conned by a magical charmer. Think of the last time you walked away from a merchant with pockets far more empty than what you had anticipated, for instance. Who's to say that person wasn't employing a few tricks they'd had up their sleeves? And let's not even get started with the fact that folks can enchant things with this stuff now. Ever wonder why your neighbor suddenly becomes oh-so-irresistible so long as they're wearing that particular dress? Weeeeell, it may not just be the plunging neckline, let me tell you.\n\nNever fear, however! There are steps you can take to confront these dastards. Any spell can be dispelled, friends, and I'm here to show you how to do it!\n\nTo purchase the second part of this text, simply have a courier deliver your request to the address in the footnote. I'll be more than happy to see to your needs, and look forward to doing business with you!"},[4]={"A Collection of Essays, Lectures, and Prose\n\n(Compiled and summarized by Althiira Sagelock and Published through the Sanctum University)\n\nTHERE WE STAND: A Rallying Cry\n\nExcerpt by Auraenie Ilddrelle\nPage XXV\n\nThe veil broke, and we trembled. If you expect me to admit this with shame, you will be disappointed. Unless you have stood and watched one of those creatures slip from the unholy quagmire of Oblivion yourself, I will not accept your judgement. I know that you, too, would have trembled, and that you, too, would have considered turning to run. I had a daughter. I had a son. When you raise a family you are not the only person you must consider when facing your death.\n\nIt spilled through the tear, black and glistening. It was obscene, a corruption of birth. When it stood it was as tall as a building, its hands clawed and serrated, its eyes soulless and red. Its ruddy gaze swept over us, glowing, hatred palpably radiating outwards. It despised us. It saw us as weak. It held us with such contempt that it objected the necessity to kill us. It was a wasteful expenditure of energy.\n\n\"Stand your ground.\"\n\nI looked towards our commander. He was at the front of the line, not the back, not hiding behind his title. He held his sword firm and steady. He met that bloody gaze unflinchingly. The sight of him stalled my feet from flight.\n\n\"Stand your ground.\"\n\nThe words were louder, though he did not strain to shout them. They swept over us, full of confidence, full of courage. His fist tightened around the hilt of his blade. He pointed it towards the creature and it sneered at him, but he did not falter. Again he spoke, and again I felt that ripple of certainty wash over me, flow through me like a balm on aching muscles.\n\n\"This thing believes it can destroy us. Us! We who have weathered the tides of battle. We who have seen our brothers fall and our sisters trampled in the mud. It believes it can quail us, make us piss ourselves, make us weep.\"\n\nAnger lodged itself in my chest, consuming fear. I hissed, nocking an arrow to my bow, aiming at one of those hideously bright eyes. Where I'd trembled before with the effort to stay, I now shook with the desire to let that arrow fly.\n\n\"This is nothing. It is less than nothing. It is unworthy of sharing this field with us. It is less worthy than the one who summoned it here, in his great cowardice, so that he might flee.\"\n\nAgain his sword was raised. Again it pointed towards the creature, our target, and I swore I could see fear creep over its mangled countenance. This, too, bolstered me, instilled in me a sense of pride. I could not falter. I was unstoppable. I was undefeated and none could possibly defeat me now.\n\nI was only dimly aware of the others beginning to take up a chant. We would not know until after the battle that the commander had used a spell to flood us with bravery. Some would be resentful. Some would be grateful. Some would blame him for the lives that would be lost and the blood that would wet the soil.\n\nIn that moment, we only knew our purpose. We knew it singularly, and we began to shout for it, our voices joining as one.\n\n'For High Rock.'\n\n'For High Rock.'\n\n'FOR HIGH ROCK!'\n\nWith the portal still glowing and the creature roaring to meet our challenge, we charged."},[5]={"by Morgan le Blanc.\n\nSince the introduction of 'schools' or classifications into the study of the arcane, the art of Conjuration has become a notoriously dangerous practice. And rightfully so, for Daedra are violent and volatile creatures. Any mistake on behalf of the summoner could easily result in injury or worse. Yet for all of it's dangers, Conjuration remains an extremely useful tool for any mage.\n\nWhen one thinks of Conjuration, their mind will often jump to the summoning of beings such as powerful humanoid Daedra or Dremora. Whilst this is indeed part of the study, the conjuring of Lesser Daedra is often overlooked. It is generally true that these beings are more accessibly summoned and bound due to their lower intelligence levels and will of mind. Afterall, it is speculated that many species of these creatures were created by their Lords to carry out their menial tasks. However, great care must still be taken as even these beings can cause serious harm.\n\nAnd so this brings us onto the subject of binding Daedra into a chosen form. Now, whilst the possible forms are subject only to the Conjurer's own imagination, this text will address weapons and armour. For beginners and less advanced mages, it is highly recommended to follow the standardised summoning process taught within the Mages Guild, and to only perform such spells or rituals under supervision. More experienced practitioners may not need to do this.\n\nBound weapons and armour are incredibly useful tools of combat on the battlefield or in times of need. A sword, dagger, battle axe or even bow can all be conjured through your own manifestations. All it takes is the domination of will over the summoned entity, and the desire to shape it into the form you desire. This part cannot be specifically taught, it is something the summoner must envisage within their own mind. This is the reason why, more often than not, this spell requires the summoning of Lesser Daedra in particular as more sentient beings will greatly resist such attempts.\n\nThere are known to exist Daedra which were either created in, or forced by their Lords into, the forms of armaments. Meaning that they already exist in these forms and would not need to be reshaped. It is also possible to summon these entities, however doing so would require knowledge of one such specific Daedra. Something most probably don't have. Therefore, the most reliable method of conjuring armaments is as previously stated.\n\nBound armour can be worn in the traditional way, or can be suspended around the summoner by their own will. The same goes for weapons. A bound sword can be swung just as a mundane one, or it can be controlled out of hand by the Conjurer's mind. Though these less conventional methods would require the use of more magicka.\n\nOne thing to bear in mind about this topic is that the summon will not last indefinitely. Whislt a seemingly obvious notion, it can be forgotten. The bound object will only remain for as long as you can pour magicka into keeping it in your service. Should you tire, it will slip back into Oblivion from whence it came. Or worse yet, perhaps start acting out of your control.\n\nAlthough it was previously stated that this document would only go into detail about armaments, do remember that one's imagination can go a long way in the art of Conjuration. If we look to the tale of the Battle of Glenumbria Moors, it is said that the Direnni Mages rode in on flaming atronachs in the form of steeds. Shaping atronachs into other forms was one of the great feats of the Direnni. It was Corvus Direnni himself who first discovered it to be possible.\n\nAnd so, keep an open mind and let your imagination run wild. But remember to always be safe when summoning anything from Oblivion."},[6]={"Souls- our Animus, a mystical force which inhabits us all, be we mortal, daedra or otherwise anything else.\nHere, I won't write down the specifics and scholarly theories of souls but instead what I've noticed throughout my arcane journey.\n\nEmotion is a strong force, and one which can be manipulated through the usage of soul magic. Upon death, I've realized that traces of emotions remain in the mind of beings, and that by pulsing soul-energy through the mortal (or other) matter, one can manipulate these emotions, almost as if distilling them.\n\nIt is worth mentioning that leftover emotions can also be used as an arcane foci, using them as guides to find and hone in on hard to see spirits - sometimes Daedra too. I've noticed this is easier in ancient places - ancient bones and souls. It's almost like they become ingrained in historic sites.\n\nFinally, fragments of souls also remain in the general area of one's demise post- well, death. Whilst these may be hard to notice at first, an experienced soul mage can hone in on these fragments. By doing this, one can unleash devastating power. An example of a more \"common\" (relative- soul magic is not common) spell is \"Life amid Death\", a technique in which one uses soul-energy to heal, releasing its energy as a restorative burst of power.\n\nFor now, this is all. Next up - feeling death.\n\n\n- Elarynia, Witch of Crag and Reach."},[7]={"By Kena Serjo Hlaalu Alarel Vedran\nShad Astula Academy\n\nThe School of Conjuration – where it is so called – has made great strides in recent times. Once considered the exclusive dominion of backwater witches and deranged cultists in league with “daimons” this branch of magick has a surprisingly illustrious history. While it was without doubt the mastery of clan Direnni that first elevated the diverse practices, theories, and applications of this broad school to some form of recognition and even respect, scholars and practitioners from across Tamriel have, in time, contributed to its development. But even nowadays, novice conjurers and renowned experts alike employ the bindings and incantations first pioneered, in one form or another, by clan Direnni. The incorporation of two once separate, yet interlocking components – summoning incantations and binding runes – into a single spell has without doubt been one of the most impressive and innovative changes in magickal practice.\n\nWhile the genius of this interweaving is beyond doubt, I wish to propose in this essay a variation on that practice. This should not be understood as a rejection of traditional forms of conjuration, for the utility and, perhaps more importantly, safety they afford are invaluable. Instead, I intend this to be a theoretical foray into a conceptually novel understanding of conjuration magic. To this purpose I shall begin by sketching the basics every conjurer ought to know, but shine onto them a different light. My hope is that this exercise will reveal potentially opportunities for further study and magickal refinement.\n\nIt is well-known by scholars that those practices commonly referred to as conjuration are grounded in the law of similarity. This law postulates that the practitioner “can produce any effect he desires merely by imitating it: from the second he infers that whatever he does to a material object will affect equally the person with whom the object was once in contact, whether it formed part of his body or not.” In more simple terms, it means that all conjuration is performed by the caster through a spell that includes some part of the entity to be summoned. It need be remarked that the requirements of the law of similarity have been considerably loosened over time as expert conjurers have pushed the boundaries of the possible and innovated upon old spells. Nowadays all manners of similes may be used by the crafty conjurer: a drawn or sculpted likeness, a particular invocation, or even just an image fixed in one’s mind (though that last practice is prone to dangerous mistakes). At times, merely performing the spell on a specific daedroth’s summoning day is sufficient. However, the underlying principle holds true: there must be a sympathetic inference from what the caster holds, to what they desire.\n\nThe law of similarity is so central to conjuration as it is practiced today that it is taught as a matter of fact, at the same time central to any conjuration as it is taken for granted. It is my argument that the received assumption that the law of similarity applies to the spell as-is has hitherto limited our perspective on what conjuration can achieve. For once we disassemble the dirennic unity of invocation and binding, we see thatthe law of similarity is more complex than we initially assumed. As conjurers have learned to cast conjuration spells as mere spells, without the need to prepare a binding rune separately, the law of similarity has similarly been taken to apply to the spell part of conjuring practice. This conceptual sleight-of-hand obscures the central crux of this essay: What can we learn if we re-examine the law of similarity as it applies to binding runes?\n\nAny conjurer knows, of course, that binding runes are sigils bearing a letter of the daedric alphabet, meant to stabilize the conjuration and provide both a ward for the caster as well as a transdimensional anchoring for the conjured entity. In layman’s terms, if the invocation is the “whom” and “when” of the spell, then the binding rune is the “how” and “where.” But we can ask: What are letters, if not symbols that indicate sound? In brief, letters stand for something, the way any simile stands for something else. We can infer from the sign – the letter – the reality – the thing being named.\n\nOf course, most binding runes are not full words, but merely single letters, their meanings necessarily limited. Still, words have power – and daedric words most of all. Our nefarious Dwemer cousins, as wicked as they were, recognized the power of sound and wielded it in their tonal magicks. Their tonal amplificators and tuning devices persist to this day, standing witness to the power of tonal manipulation.\n\nI argue that the daedric signs used in binding runes possess a similar magickal essence – one we might call a sonorous spark. This whisper of potential unrealized may be drawn out by the capable practitioner and wielded according to the law of similarity. This way, we see the law of similarity re-examined and re- imagined as parallel between sound and reality. by evoking what I tentatively dub sono-noematic harmonies – that is, harmonies between the sign-as-sound on one hand, and the practitioner’s will on the other, far greater feats of conjuration should, in theory, be possible."},[8]={"The soul starved are people afflicted by an ancient curse similar to vampirism. The differing sides of vampirism and soul starvation is that one feeds on blood while the other feeds on life energy.\n\nThe soul starved require life energy to continue with a semi-normal life. they siphon the energy off of other living creatures. Restoring them into a much healthier visage.\n\nWith that they also helped us discover how souls are contained within our fleshy vessels.\nthey state that there are two layers. the life energy and the soul within.\n\nIf one's life energy is fully drained,then the body will obviously die. however the soul starved will have your soul as a result. With the soul at their mercy,the soul starved can do whatever they wish to the soul.\n\nThey ofcourse can consume it, in which we are unsure what happens to them. some claim they still go to their afterlife.\n\nOthers believe they are taken to a plain of oblivion. they can however release the soul and let it have its peace. they can also \"heal\" or \"mend\" the soul, making its afterlife more blissful.\n\nThis brings us to the subject of tribes or clans. More notebly the \"dead-Menders\". But that is a book for another time."},[9]={"The most basic fundamental a Shadow Mage needs to hone is their hyperagonal sense- in other words, to see reality in multiple angles outside the norn. To flip the world on its hinges, to embrace a temporary state of insanity and peer into the infinite.\n\nBut, what is this infinite? What do we peer into when we're sensing arcane depth-impressions for our shadow-steps, or in others to siphon away their life energies?\n\nWe're seeing -possibility-. As the great Azra Nightwielder once wrote- shadows are not simple absences of light, but instead reflections- glimpses into forces in perpetual conflict with one another. A rock blocks the sun, that is a shadow. Water and fire's conflict creating steam, that is a shadow.\n\nWhat does this mean? It means that shadow mages tamper with alternate realities. With possible selves, with infinite potential. That shade you summoned? An alternate version of yourself or another. That burst of power throughout a long battle? Chaotic energy created through conflict spread throughout infinite realities.\n\nBut, how do we make sense of this? Frankly put- we don't. Trying is near futile, and will likely bring your mind to a halt. Embrace the practical side of things.\n\nOn one hand, meddling with possibility may corrupt and bring carnage, taint, wither. On the other, your hyperagonal perception of reality may allow you to save a friend from a deadly blow before it happens.\n\nHow to manipulate shadows? Learn to see patterns. Shadow-stepping is simply finding a pattern in local reality, the places where magic itself creates a shadow on the local plane. Use these patterns to your advantage. \n\nThrowing a dagger? Manipulate the shadow of its flight arc to make it fly much further than it should.\n\nLosing control over yourself? Calm down, breathe deeply. Find it, find the pattern. Why are your shadows consuming you? Find the source of this issue, find your mistake and manipulate it. Can you stop it? No? Alter its nature to make it flow out of you instead of consuming you.\n\nIt is easier said than done, but Shadow Magic requires practice- not just books and thought. You need to FEEL and EMBRACE it. If you cannot, then beckon a Prince like Nocturnal for help. They'll give you control of Shadows for the cheap- cheap price of your Soul.\n\nAnd at the end of the day, her Shadow constructs are still very different than the true Shadow we yearn to manipulate.\n\n[*The text ends here, suddenly. It's clear this is a copied excerpt of a larger tome*]"}},[7]={[1]={"Scribed by the Duchess of Desire\n\nFORWARD:\nBarra and welcome, my dear desirables, to another installment of my coveted collectibles and saucy scriptures. This time we delve deep into the burning loins of Archmage Vanus Galerion himself. Follow along as a day that starts like any other quickly becomes something more as The Great Mage ignites a burning in his loins... and a forbidden flame in his heart...\n\nCHAPTER I:\n\nVanus woke up, bleary-eyed and foggy after a long night of tongue-lashings to misbehaving students who sought to practice necromancy in his vaunted halls. With a yawn and a wide stretch of his arms he pulled back the sheets on his levitating mattress and swung his legs over the edge. He raised his hands and with one summoned a bowl and with the other a jug of cool water. He filled the former with the latter and then placed the jug on the bedside table so he could grasp the bowl with both hands. Once the bowl was steadied he took a breath, and dunked his face into the bowl. A moment later he surfaced and blinked the water out of his eyes, suitably awoken and refreshed.\n\n\"Alright, time to start some research,\" he announced to no one in particular.\n\nThe Archmage conjured up his research robes and donned his pointed hat. Some of the other faculty told him it was ostentatious, but what did they know. Not as much as him, that was for certain! He was after all Archmage, and they were not.\n\nHe strode to the doorway of his private quarters and yanked open the door enthusiastically, nearly-but-not forgetting to grab his trusty inferno stave from where it rested in a nearby wall corner.\n\n\"Let's get going, Archmage Vanus Galerion,\" again to no one in particular but himself.\n\nAs he strode through the halls of the Mages Guild hall he tipped his pointy hat in the direction of admirers (which was to say, everyone he passed) as he passed them. Some, the ones he knew to be up-and-comers in the ways of magic, he even gave a sly wink and a grin.\n\n\"How do you do, fellow mages.\"\n\nThe results were as expected.\n\n\"By Magnus, did he just talk to -me-?\"\n\n\"He winked at me! Someone catch me.\"\n\nVanus gave a casual but charming salute with his mid-and-pointer fingers as traces of magicka flickered between the hand. \"Keep up the good work everyone, Mannimarco isn't going to undo himself! Let's not forget the business of spreading the good word of magic across Tamriel, too. Hard work is good work as I always say!\"\n\nSatisfied that he'd appealed to the masses yet again, he continued to stride confidently down the nearest hall into the chamber he used for summoning rituals. Once inside and with a quick glance around to see if any of his many fawning apprentices were already within, (they were not), he shrugged and closed the door and cast a routine warding spell in the case one of the summons got loose from the circles that bound them in the room. (-His- summons never did of course, but as Archmage he had to set a good example.)\n\nRolling up his sleeves, Archmage Galerion began a lecture about the history of conjuration and the pioneering work of Corvus Direnni, before he realized that he already knew all of this and thus there was no need to expound further.\n\n\"Alright Vanus, let's pick up where we left off. The Fourth Sinus of Takubar.\"\n\nHe pulled into the void with gestures and weaving of spellcraft, hooking and then reeling in a force beyond the veil of Tamriel and Nirn ensuring all the while to include the binding rituals necessary to ensure that once the conjuration appeared that it was unquestionably bound to his significant will.\n\nWith a roaring of a flame coming to life, a contradictory burst of cold entered the room. The Archmage had successfully summoned a Cold-Flame Atronach.\n\n\"Vanus, you never disappoint,\" the Archmage verbally patted himself on the back for another succcessful conjuring.\n\nThe Cold-Flame Atronach seemed to stare at him with an intense gaze that told him without his binding ritual it would no doubt attempt to hurl cold-flame at him. He shrugged it off. Daedra were ornery creatures at the best of times.\n\n\"Now Cold-Flame Atronach I hereby designate 9497.15CF, I want to know all you can tell me about the social structures inherent to the Fourth Sinus of Takubar and the scope of any 'agreement' with the Lord of Brutality, Molag Bal.\"\n\nThe Cold-Flame Atronach hence dubbed '9497.15CF' just floated above the circle that bounded the summons, continuing that icy stare.\n\n\"Right, not much of a talker.\" Vanus rubbed his sculpted chin. After a moment's consideration he waved a hand and dismissed the bonds that kept 9497.15CF tethered to Tamriel and with a puff of cold-fire the atronach left the room colder than it had been before the Archmage arrived.\n\n\"Alright, next project.\"\n\nHe dispelled the warding on the door and popped it open, wandering out into the hallway once again.\n\n(Continued in Chapter 2.)"},[2]={"I must admit to being most surprised when receiving your very touching letter.  I never expected a Bosmer of your obvious qualities to even notice me. Your openness and honesty struck a chord with me and I too feel that we may be “acorns of the same tree” as you so beautifully put it. You do have such a charming way with words.\n\nIt saddened me greatly though to hear of your pain and suffering with regard to Hircine’s “Blessing” and I wonder if together we could find a place to belong and maybe even a way back to Y’ffre. Your kindness and generosity, repentance and service must, in the eyes of Y’ffre, be viewed as a powerful story in itself worthy of acceptance and forgiveness.  Maybe I am biased for I must admit to being pleased that you were a little slow on your feet during our adventures as it gave me the chance to spend time with you, albeit fleeting and a little panicky. You also proved yourself a worthy ally against our many enemies.  I looked forward to future Middas evening expeditions a little more because of it.\n\nI would be honoured to be the one to bring you joy and only hope that I am up to the challenge.  I look forward with great anticipation to many more bloody encounters by your side, however slow our travels, so with great reverence I accept your Pledge of Mara.\n\nYours,\n\nFyroniel Birdsong"}},[8]={[1]={"By Sitemius Gariulus, Knight of the Eight\n\nThrough my time under the spiritual guidance of the Eight I have come to realize a few foundational principles of their wisdom when it comes to wealth, be that material or spiritual. I will try to convey these principles in such a way that you also may gain from their wisdom.\n\nFirst and foremost, I am but a humble follower of the Eight, I do believe these teaching speak of all the Eight’s intent to the Commands. They are but teachings of their wisdom from the knowledge found about Nirn, the point of view is as I envision from my time upon this world. By the Free Will given by the Eight, you can decide to what level you also believe in the following wisdom presented.\n\nPRINCIPLE ONE: Work Hard and The Eight will Prosper You.\n\nScripture tells us the Eight will bless ‘By participating in creation,’ if you are faithful to the Eight and adhere to the Commands. You see, a lot of people can have a great idea, but they never do anything about it. The first principle is the importance of working hard at something you believe in. It is easy to have an idea. But it is another thing to commit time and effort to it.\n\nCareful not to get lost in the sea of misguidance. If we allow negative influences of others to stop us, then we will never accomplish anything. The truth is, most people are always ‘waiting to begin,’ but few ever actually get on the pathway to success.\n\n'But if the Eight want you to succeed, won’t they bless you regardless of what you do?'\n\nThis is one of the misunderstandings that we often have of the Eight. You see, the Eight do want to bless us. But they will only bless what we put our hands and minds to in their name.\n\nI once heard the words from a wise priest ‘Thank Zenithar for the gold in your purse, but remember he is also responsible for the holes in a beggar's pocket.’ those are strong but incredibly wise words. The Eight want us to understand the importance of diligence when it comes to faith.\n\nBasically, seek the Eight, follow the Commands and decide what you want to do, and then do whatever it takes to make it happen. If you do this the Eight will bless whatever you do."},[2]={"By Sitemius Gariulus, Knight of the Eight\n\nPRINCIPLE TWO: Prosperity is Connected to Soul Prosperity\n\nI remember a line from the Precepts of our holy Stendarr ‘Do not hoard wealth or indulge physically’ words used often by priests during sermons. These priests are not wrong, but perhaps can sometimes faulter on what wealth the Eight were talking about.\n\nBe it material or spiritual wealth. What the Commands try to teach us is just like others of wealth. We have got to humble ourselves and get down on our knees to make it through life successfully… and please the Eight. Only then may they receive the comfort and healing of the Eight and may give thanks for their manifold blessings.\n\nSo, what about the merchants that are simply gaining profits at the expense of the people?\n\nThese are the same individuals that fail to utterly understand the ideas of real enterprise. You see, when a merchant sells a product or service to a customer, then as long as it is ethically done, everyone wins. The customer wins because they can now use the new product to make their life better. The merchant wins because they have made a profit on valuable product that they have offered.\n\nThis notion that wealth is wicked is simply a lie. In the sacred scriptures, the Eight not only encourage prosperity, but they also promise it. ‘Work hard, and you will be rewarded.’ But...\n\nBut with one condition. The Eight promise wealth to those people that love them and keep the Commands.\n\n‘If only each man might look into the mirror of these Commands, and see reflected there the bliss that might enfold them, were he to serve in strict obedience to these Commands, he would be cast down and made contrite and humble. The obedient man may come to the altars of the Eight and be blessed, and may receive the comfort and healing of the Eight, and may give thanks for his manifold blessings.’\n\nThe merchant that makes a profit at the expense or suffering of the people does not follow this and as such will suffer for such wicked actions."},[3]={" MYSTERY\n\nScion of Aldmeris, proselyte of the secrets paramortal, He of Alinor, life-extended ManniMARCO witnessed AKHAT lashed and bound by oath of Al-Esh and in defiance break. Magnus rose in the eastern sea when whispers told from the filthy lips of Man, not Mer, as those of the Ape-Man-Cult despised Aldmeri stock, unveiled unto Him the ultimate destiny: Not life eternal, not power limited to flesh and soul nearby, but a fate prescribed unpleasantly in words not accustomed to feeble minds: \n\n‘AE NEAKA AEDRA PADHOME AURBIS AE MAKHAT’\n\nThe words-not-words spoken into His memory were begotten by Mnemo-li, who as AKHAT yelled cried for her brother-father to be freed.\n\nMnemo-li wept tears of light, and ManniMARCO beseeched the vicissifiers of the sixth element, hidden from the light and law and eyes of Arkay, God of Birth and Death, where they perform upon subjects decayed and deceased experiments of everlasting change and rebirth to profane the Wheel of Life.\n\nTherein, the flesh-benders and soul-binders revealed unto scion MARCO the first secret of un-time, and with this secret he broke his own Dragon day-and-night for year and decade and century and millennium, until Mnemo-li wept enough to mend her brother-father’s scars of lash and false oath.\n\nGiven life unbound by the Dragon, ManniMARCO travelled north and west into the bay ridden by slug-famine, and after growing bored and careless with studying the weak and sick, travelled further west still. It is there, deep in Dagger Fall, where He is confronted by the apple-glutton Sload necromancers, the biggest and slowest of which made his presence known like so:\n\n‘You are lost, little Alt-mer-kin, and are of no use to myself and my brother-necrolytes. Turn and leave now, or suffer before you meet your Auri-El.’\n\nAnd the Sload raised a ponderous hand, and bit through an apple, and spoke again:\n\n‘Your magicka will not work in our presence, for you see, we are most adept in the bending of currents both Aetherial and Pad-ho-me-ic.’\n\nAnd as the Sload began to move their hands in slug-like manners, MARCO, scion of Aldmeris, spoke unto them a proclamation:\n\n‘I am ManniMARCO, greatest scion of Aldmeris, and I curse your power like so:’\n\nAnd ManniMARCO spoke a curse of un-life and flesh, and bestowed upon the Sload’s cherished apple-treats countless worms from the earth and within. The Sload-kin laughed, amused, and one laughed so grandly he choked on the apple-worm he consumed not long ago, for the worms began to feast not on earth, but on flesh, and upon seeing their brother-necrolyte wither, the Sloads laughed in the face of MARCO: Not in offense, but pseudo-selfish amusement. With elephantine flourishes they bowed as well as their engorged bodies would allow, and bestowed upon MARCO a new name:\n\n‘We care not for your name, Worm-maker, but for your act.’\n\nTo which MARCO pondered what he meant.\n\n‘You, Worm-maker, show aptitude in the unmaking and remaking of life and the profanation of Ark’ay. Travel west and into Thras, and We the Sload will give you knowledge over all life and death.’\n\nThe Sload-brother-necrolytes did not wait for an answer, and invoked ancient yet well-known Magicka to disappear to their coral-hovels far away.\n\nThen MARCO pondered their query for long days and nights and followed them into Thras to learn the second secret of un-time.\nMagnus set in the western sea and RKHET shone in the sky and taunted MARCO."},[4]={" CHIRAL\n\nOver the course of the next centuries and decades and years, ManniMARCO well-used the secrets of Sloadkin to further His knowledge of the soul and vestige both mortal and daedric. Every night in the waning hours of RKHET’s light He toiled at the flesh and spirit of the dead both recent and long-gone and as a master of the Work and timeless He came to understand the truth of the immortal soul of the lesser beings: like with the spirit of animal, bound by primal law to be hunted by those more sapient, the alive are hunted by the un-alive, by the immortal, by the timeless.\n\nWith this wisdom He began the second Work of un-time: His spirit was forever, but his body, meric as it was, waned with every passing decade or two. To be immortal was in reach, and in order to complete His work, only some secrets needed to be discovered.\n\nFor this ManniMARCO travelled far west and north, deep into the mountains of the high rock, where Magnus shone bright all day until he set. He searched for a being more ancient than He, known as the Underking. Once before He met him in life, when he was a fox enfeebled, and before he changed his face and name. With words of magicka and communion with spirits padomaic bound under paleonymics not ever uttered since, He discovered the lair of the Underking, and as he entered and made himself known, the Underking vexatiously responded:\n\n‘Leave now ManniMARCO, for I will never forgive you for your misdeeds. Under my honour as king of ash, king of magicka, king of battle, I allow you to leave unharmed.’\n\nBut ManniMARCO remained where he was and dared enter into the darkness of EROKII, the city under a tower misconstructed, and was met with the heartless Underking himself:\n\n‘You violate my sanctity necromancer, and ignore my warnings like a fool. I let you live when your Auri-El was weakened, but not today.’\n\nAnd the Underking extended his hand and cast upon ManniMARCO a spell of death and malaise, and with his great power, slew the scion Worm-Maker.\n\nBut MARCO rose again, not in body but in spirit, and cursed Dragon-Breath in kind with a secret of Thras, and as the Magicka around them faded and He still stood in spirit, agreements were reached.\n\n‘You cannot slay me in your form and I cannot slay you in yours. I subscribe not to your idiot-notions of godhood for I have come close and never reached it.’\n\n‘But you are timeless like I but physical still, so give me this knowledge and I will leave you in peace forever more.’\n\nSo the Underking pondered this offer and began to write the third secret of un-time into a book, and said:\n\n‘The day you betray my trust again, this book will burn, and with it all its secrets. Understand this as your only oath, Worm-maker.’\n\n‘So it shall be, great Underking’, placated MARCO, for he knew that he was one step closer to his ultimate fate. With His spell lifted, the Underking kept his word and invoked powerful magicka to return MARCO to his body, and unbound his soul to let him roam free. He returned to Cyrod and within a city Ayleid began his work, and as he began his ascension to a form new RKHET struck down his machinations and artifacts and spoke upon him a cursed holy spell:\n\n‘MANNIMARCO NA RACUVAR AV ANYA AS ELRKHET’\n\nAnd MARCO was burned by the law of the great Enemy and decreed in kind:\n\n‘A NAE NENAGAI MANNIMARCO! HECULRKHET GARAUVOL NA AN AUTARACU! AE ARPEN MANNIMARCARAN, NAGAIARAN!’\n\nAnd RKHET vanished into the waning hours of the night and retreated from the power of ManniMARCO, Worm-Maker, king of death.\n"},[5]={"By Sitemius Gariulus, Knight of the Eight\n\nPRINCIPLE THREE: You Must Do Whatever You Can to Provide for Your Family\n\n‘Mara says: Live soberly and peacefully. Honor your parents, and preserve the peace and security of home and family.’\n\nThe Eight have but a few words on this matter as it’s more Mara’s singular domain. In that, the Eight compares a man who does not provide for his family with someone who has denied the faith. They consider him worse than an unbeliever. You must be able to take care of your love before you marry them. Once you are married, you must do whatever it takes to provide for them and a future family if such a thing happens.\n\nPRINCIPLE FOUR: See Challenges as Stepping Stones, Not as Obstacles.\n\nFirst, realize that when you stumble in life, what you are encountering are stepping stones not obstacles. You can use these opportunities to strengthen your wealth, be that material or spiritual, if you decide to.\n\nPRINCIPLE FIVE: Take Responsibility For Problems That Are The Result of Your Own Bad Decisions. Don’t Displace The Blame.\n\nWe often mistakenly give the enemy credit for things. Yes, it’s true that they love to attempt to kill us, steal from us, and destroy us. But cause and effect probably has much more to do with what happened.\n\nPRINCIPLE SIX: Trials Develop Your Character, Preparing You For Increased Blessings.\n\nThe Eight allow challenges, Tests of Faith, so we can develop the character we need to accomplish their purpose for our lives. The Eight use the challenges to make us stronger and more effective. Remember this when asking the Eight ‘Why’\n\nThese last three Principles are divided into three terms.\n\nThat which was, which is, and which will be. Let us learn from the Past to profit in the Present, and from the Present, to live better in the Future."},[6]={"By Sitemius Gariulus, Knight of the Eight\n\nPRINCIPLE SEVEN: Be Meek before the Eight, But Bold Before Men and Mer.\n\nDuring a visit to the Abbey of the Eight the monks told me that to be aggressive in business was a mistake, after all, they told me, The Eight said that ‘were we to serve in strict obedience to these Commands, we would be cast down and made contrite and humble.’\n\nWhat they just tried to describe is another misunderstanding of the scriptures. They are somewhat right, and it is true that one should be contrite and humble. But the Eight wants us to be contrite and humble towards them, not towards men or mer.\n\nPRINCIPLE EIGHT: Understand the Power of Partnership\n\nThe Eight have made us Lords and Priests, so what does that mean? The Eight have designed a special relationship between businessmen and the leaders in the church. The power of partnership between the merchant and the clergy. There is a tugging on the hearts of every one of us to have a closer relationship with the Eight. One way this is done is to be partnering with the priests who have been given a vision by the Eight. In turn they provide the provision to see that vision is fulfilled.\n\nI leave you with a few small quotes I have used several times when questioning my faith or the actions of others.\n\nWith faith, discipline and selfless devotion to duty, there is nothing worthwhile that you cannot achieve.\n\nThe secret of discipline is motivation.\nWhen a man is sufficiently motivated,\ndiscipline will take care of itself.\n\nMost of us do not mind doing what we ought to do when it does not interfere with what we want to do, but it takes discipline and maturity to do what we ought to do whether we want to or not.\n\nIf you wish to improve who you are. You need to stop comparing yourself to others, for you never truly know who they are. Instead compare yourself to you from yesterday. This way you are always improving you and not making yourself someone else."}},[9]={[1]={"For too long, I have played the fool, but the time has come to end the King's rule.\n\nMy revenge will be the game, as everyone's fate will be the same.\n\nThe Jester's life was comical and tragic, but now I have learned dark magic.\n\nMy tricks and pranks will make matters worse as the royal court suffers the Harlequin's Curse.\n\n-Ace of Jokers, Royal Jester to Sheogorath"},[2]={"by Gaerlyn Vernon\n\nDeep in the part of Valenwood known as Grahtwood, there is a Ruin of Ayleid origin within a few days of walking distance from Elden Root. This particular Ruin is believed by many to be \"Sunder Root\", which is of quite legendery renown when it comes to Ruins. The tale tells that the Ayleids of old wanted to secure a foothold in Valenwood, but in order to ensure their own survivival against the hostility of the forest, they attempted to subdue it. Presumably they succeeded in trapping the forest's very essence, it's \"heart\", within the bowels of Sunder Root. If the legends are to be believed, they even enslaved it to do their bidding and could command the forest to shape itself within the city to suit their needs.Over time, the heart managed to break free and lashed out against the Ayleids. From there on out, \"Sunder Root\" became a whispered tale, to be almost forgotten by time. \n\nCenturies later the said ruin was discovered by the Bosmer and explored by Altmer scholars, or at least, so they claim. The Ruin was never proven to be Sunder Root, and if it was, it had returned to a deep slumber ages past. Whatever the truth, many scholars in recent years, who aren't scared off by Valenwood's hostility, still try to conclusively answer the question whether the Ruin is or isn't \"Sunder Root\".\n\nOne tale about this very ruin does stands out. In the late 3rd century of the second era, a group of Wood Orcs entered the Ruin, presumably for shelter or to avoid Bosmer patrols. They were eight to enter the ruins, but only one of them emerged alive, albeit crazed with terror. When he was captured by Rangers and interrogated, he stated the following; \n\"We woke the darkness that lay beneath... a creature born of pain and nightmare and it hated us before it even laid eyes on us.\" \nThe Rangers asked if he was the only survivor, and if he did in fact see his companions get killed with his own eyes.The orc responded;\n\"Killed them? It didn't just kill them, it teared out their very soul and flayed it... it devoured them piece by piece... if anything of them remains, it no longer wishes to exist.\" The rangers pointed out there never was any monster of that kind, and certainly not in that dusty old Ruin.\n\nNot much else could be discovered from the orc's testimony. However, the Rangers did find dead orcs in the ruin, roughly four or five bodies in very bad shape and an exact bodycount proved to be difficult. The reason the rangers captured the orc to begin with, was that a nearby Bosmer village had been attacked a few days prior, leaving nearly no survivors. It turned out it had been ransacked by Wood orcs, and the rangers determined the crazed survivor was amongst the assailants.\n\nThe Orc was to be condemned for his crimes against the Bosmer people, but ended his own life before the sentence was pronounced, the last thing the orc said was this;\n\"The Shadow punished us for our sins... we broke a smile that should have been left unbroken\".\n\nThe next day he was found dead in his cell.\n\nIn short the moral of the story became; Respect the Green and the bosmer people, or the forest's Shadow shall take you. I myself am curious as to the nature of this \"Shadow\". There are several tales from all around Tamriel which describe a similar creature, but no such monster has ever been documented. Is it a singular being? Are there several? I will attempt to find conclusive proof of this story being little more than just another horror story. The evidence is there, at different times and in different places, we just need to find it. When one looks for them, patterns emerge."},[3]={"By Rebekah Meilan\n\nThis story I'm about to tell, is a folklore tale, originating in Glenumbra during the 28th Century of the First era, nearing the dawn of the second Era. After reading and hearing all versions of the tale, I believe I can tell it in such a manner that it will reflect each tale's narrative sufficiently, as to stay true to each version. The tale goes as follows:\n\nA small village in Glenumbra, whose name has been long lost, was subjected to a brigand attack, none of the villagers knew where they came from, since no-one had heard tales of marauders or attacks in the area, which would be expected if such a large number of brigands had settled in the town's surrounding woods. And yet they attacked in considerable numbers, while taking on the villagers completely off-guard.\n\nThey butchered most of the town's inhabitants and kept a reasonable number of women alive as an entertaining commodity. One of the women, a fair maiden named Alira, who would have been valued a great deal by the brigands, escaped and ran in the woods through the night. She was persued by a hunting party of the attackers, but luckily she knew these woods very well, and came here very often to converse with her friend.This friend was a Wyrd Sister, better known as a Witch of the Wilds. Alira loved the strange and mysterious tales her friend told with a passion befitting Bosmer spinners. \n\nEventually, after a long pursuit, Alira lost her advantage as the woods she stumbled in weren't familiar to her anymore, but she did manage to find a cave entrance below a great oak and decided to hide within, hoping not to be found, and if she was, her persuers would probably hesitate about going in themselves.\nShe simply hoped there wasn't any good reason to fear this place, for she could not afford the luxury of hesitation. Advancing deeper into the cave, she discovered a circular room, the ceiling was being pierced by the Oak-tree's roots and let in a small ray of dawn's light. In the center of the room was some crude primal Statue depicting a cloaked man. In front of the statue were three big Stones with engravings etched onto their surfaces.\n\n\"Here the dreamer sleeps, \nif thou wakest him with a dream, sweet and soft, thou wilst live a tale of dreamt wishes come true.\nif thou wakest him with a dream, sour and harsh, the Demon shall raise Nightmares into hearts, and blacken the forest to marsh.\"\n\nAlira knew the tale of the dreaming demon, who in his slumber, often forgot how to distinguish dream from reality, and the forest got confused aswell. Sometimes, as a response to the demon's dreams, the world around gets shifted in some ways. The demon supposedly dreamt the dreams of others and mistook them as his own, this could potentially wake the demon from his slumber. At least that's how the story had been told to Alira. Up until now she took it for a local folklore myth...\n\nNow, she secretly hoped that she was wrong.\n\nFind the next part of the story in the Second Volume"},[4]={"by Rebekah Meilan\n\nThe tale, as it was told to Alira, was that if your dream was being dreamt by the demon, you could follow your dream, like a trail, back to his resting place. As for how the trail ends, Alira was never told, she might just find out today, Alira thought to herself.\n\nShe tried deciphering the other engravings and what she could make out was that, if ones soul is earnest and deemed worthy by the Demon known as \"Ey'ka-thain\" he would awaken to offer a bargain which goes as follows; \n\n\"To make a pact with Ey'ka-thain, he must choose to bind himself to a pure soul, and the supplicant must in turn choose to bind his soul to the Dreamer, forever intertwined. Ey'ka-thain shall fullfill all of the supplicants wishes and desires, whether benevolent or nefarious, but when the soul of the supplicant is to move on, it will join the Demon in his dreams forever.\"\n\nTo Alira it was obvious this was a soul-binding ritual and the Dreaming Demon was likely a Daedric entity, harvesting souls for services rendered. But Alira did not hesitate, this pact could save her loved ones back at the village and they suffered for every second of hesitation she might have.\n\nShe pleaded to the Cloaked Statue, hoping this wasn't just a fairy-tale. She talked to it and explained why she needed this pact, for otherwise, all was lost. The statue did not move, However, after a moment, at the back of the cave, the wall seemed to crack and fissures soon appeared.\n\nFrom the cracks, liquid shadows poured out until two glowing embers pierced the darkness, these were the eyes of the demon, burning like incandescent coals.\n\nThe creature that stepped out of the Shadows was a towering, thin, nightmarish creature with a red gaze, as if there was molten metal burning within it's eyesockets. Alira felt primal fear rise within her, but she did not move as the Demon approached. \n\nIn her mind she heard a broken voice.\n\n-\"Do you... accept... the covenant?\"\nAlira nodded as a tear rolled down her cheek, and answered with a trembling voice \n-\"Yes, I accept... I give you my soul if you fullfill my wish and save my loved ones.\" \n\nThe demon remained impassible and silent for what seemed like an unsustainable amount of time to keep peering in it's eyes... until finally, she heard it's answer\n\n-\"You misunderstand Child... Your soul is not part... of the pact... I give you mine... not the other... way around.\"\n\nThe young woman was perplexed and sceptical. She was frightened to offend the demon, but had to know.\n\n-\"What is the catch? There has to be more to it than that.\" She asked while trying to muster all the courage she could scrape together. \n-\"There is... You must accept to ...bind my soul... to yourself... Most wouldn't willingly... bind a demon ... to themselves... especially not... a pure soul... That... is the catch.\" Replied the Demon.\n-\"What about when I die?\" Asked Alira.\n-\"You will join me... in my waking dream... a dream so vivid, it could be real... your soul however... would go... to wherever it is supposed to go... where I cannot follow.\" Explained the Demon, again in her mind.\n\nAlira knew deep down this was probably a trap but did not care, realizing full well she will end up caring eventually, but for now she knew what must be done.\n\n-\"Very well, Ey'ka-thain, I bind our souls together, but please make haste.\" Said Alira. The demon approached her, took her right hand with his clawed paw and laid it on his chest above his heart. The skin beneath her palm was cold as ice. \n-\"I will require a portion of your strength... which might leave you weakened for a time... but by duskfall, your loved ones will be free.\" Said the demon. Alira nodded and felt her strength fading instantly. As her vision blurred and she started to faint away, she vaguely noticed the demon's shape shifting...\n\nWhen she woke, she was on a bench in her hometown, dawn was rising and the whole town seemed silent. Still woozy, she walked down the streets and soon heard voices... voices she recognized. The town's women were free and there weren't any bandits in sight, not even corpses except for those of the murdered townsfolk. \n\nShe greeted her friends with laughter and cries. The survivors explained to Alira that the night got unnaturaly dark at one point and screams were heard everywhere. Torches could only push away darkness for a mere few steps, so nobody could make out what was happening. When the screaming ended, every bandit in town had vanished without a trace.\n\nAlira suddenly looked to the shadow of a nearby building, and there she saw a silver-haired man looking from a distance. Briefly she saw a fiery glow run through his gaze, that disappeared instantly. Seeing as Alira was looking at something intensly, one of the surviving women asked what she was looking at. Alira said she looked at the strange man with silver hair, but the older woman frowned in confusion, as there was no man there to be seen."},[5]={"By The Patron of Parables\n\nLong ago, there was a Skaafin quite unlike the others. Amidst a cohort of cruelty and beguilers of bargains, he sought but one means of fulfilment: a satisfied customer.\n\nNow you may know of the Prince whom the Skaafin serve, and know that the only satisfaction he seeks is his own, and his servants were no different. This meant there was often trouble and strife in the life of the Unusual Skaafin, and it was happening to all the wrong people. At least according to his Prince.\n\nOne day Clavicus Vile called the Unusual Skaafin into his throne room in the Fields of Regret where he sat upon a mighty tree stump. \"Unusual Skaafin...\" He asked slowly, deliberately. \"Did you complete another bargain in the best interests of the mortal supplicant?\"\n\nThe Unusual Skaafin smiled proudly. \"Yes my Prince! I did.\"\n\n\"May I ask why?\"\n\nThe Unusual Skaafin scratched his head. Why was master Vile being so... not vile? \"Because-\"\n\nThe Prince interrupted suddenly and loudly. \"Wrong! There isn't any reason why! Now get back out there and make some misery!\"\n\nAh. This sounded more like it, the Unusual Skaafin thought to himself. \"Yes, my Prince.\" He bowed his head and left the audience chamber. Glancing back at the throne he noticed the Prince had already vanished.\n\n'Now what to do?' Unusual Skaafin thought hard. It wasn't in his unusual nature to disadvantage a supplicant, but he also couldn't disappoint his Prince. He needed some advice, and after some thinking he thought of the perfect being to help. His friend and mentor, the Wise Skaafin.\n\nSo off he went to find the Wise Skaafin in a remote corner of the Fields of Regret. He passed many chattering Skaafin who were talking about their latest deals and the crafty ways they had tweaked the terms to damn a mortal soul.\n\n\"The mortal asked for help to cross off a list of experiences before it died.\"\n\n\"Did you help?\"\n\n\"Of course I did. I rushed through every item on the list, and then I killed it. I think it died happy, but I can't distinguish screams of joy from screams of terror so who knows for sure.\"\n\nThe Unusual Skaafin gave the duo a look of confusion, but didn't change his pace as he continued onwards to the place of the Wise Skaafin. Eventually he arrived and knocked thrice on the door.\n\n\"Who is it?\" Came a voice from inside the ornate building. \"I'm not doing any deals today.\"\n\n\"It's me! The Unusual Skaafin!\"\n\nFootsteps shuffled towards the entrance from inside and the door creaked open to reveal an old and wrinkled daedra. Why she was old and wrinkled when daedra don't age was anyone's guess. \"Unusual Skaafin? What are you doing here?\"\n\n\"I need your advice, Wise Skaafin.\"\n\n\"Well come inside, then. I have the kettle on.\" The Wise Skaafin left the door open behind her and shuffled back inside to a table where she took a seat. \"What can I help you with this time?\"\n\n\"Oh, Wise Skaafin, I have a dilemma. I want to do my best at the job, but what do I do when Master Vile wants us to do our worst?\"\n\nWise Skaafin rubbed her horns. \"Clavicus Vile is a Daedric Prince, Unusual Skaafin. His methods are beyond comprehension. Maybe he has a long-term plan of which we are not aware.\"\n\n\"Like... what?\" The Unusual Skaafin asked.\n\n\"I don't know. It's beyond our comprehension!\" She chuckled. \"What I can say is this, you're a Skaafin, Unusual or not. That means deal-making is in your very essence. But you don't have to do it here.\"\n\nThe Unusual Skaafin furrowed his brow. \"Not... here? What do you mean? Where else would I go? Where else -can- I go?\"\n\nThe Wise Skaafin sipped from a cup that had appeared in her hands sometime while they had been talking. \"The realms of Oblivion are vast, limitless. You can go wherever you like. But without a Prince, you'll be on your own. For the first time in your existence you'll have no direction or purpose but the one you set for yourself.\"\n\nThe Unusual Skaafin pondered this. \"Set my own direction? My own purpose?\"\n\nThe Wise Skaafin nodded. \"Yes indeed. I think it's good for daedra to get out and about. See what's out there. Only way to truly know what you want out of this infinite existence of ours.\"\n\n\"Have -you- 'gotten out and about', Wise Skaafin?\"\n\n\"Absolutely I have. I've lived many mortal lifetimes outside of the Fields of Regret.\"\n\n\"But you came back?\"\n\nWith a pleasant smile the Wise Skaafin nodded again. \"I came back... It's a certain irony. I left the Fields of Regret to make sure I had no regrets.\"\n\n\"Why'd you come back?\"\n\n\"Because we always come back home, Unusual Skaafin.\" She takes another sip of her cup. \"It may be wretched, it may be... vile, but it's still my home. And I can do more good for the future of my home here than out there.\"\n\n\"I'm not sure this is -my- home,\" the Unusual Skaafin muttered thoughtfully.\n\nThe Wise Skaafin shrugged. \"Home can be many things, Unusual Skaafin. A place, a being. You'll know it when you find it. When you do, treasure it.\"\n\nThe Unusual Skaafin watched her sip from her cup again, lost in thought for a while. After a few moments he spoke up again. \"Where did you start your journey, Wise Skaafin?\"\n\nOne word was the answer, but it was enough to give him a start."},[6]={"In the City of the Dead, Nightmares wait scheming\nIn the Endless Library, I find myself waking\n\nA thousand eyes pierce the roiling sky\nI close my own but I can still feel others on me\n\n\"Curious... a useful servitor?\"\nThe sound is like nothing I have heard before\n\nThough I know not the consequences of being found wanting, I nonetheless hope it finds me so\n\n\"No. You are... inadequate.\"\nI am pulled into the ground below\nThe world spins, though it is not mine\n\nMy eyes remain shut"}},[10]={[1]={"By Caeyla Gentleflame of Skywatch\n\nAs you wander much of the regions of southern Tamriel, between the trees and green hills one is likely to see the glint of white stone. White Stone of the ruins of the ancient Ayleid people.\n\nBack home on Auridon we have similar ruins, those of our Aldmeri ancestors, which predate the exodus of the Ayleid by centuries, if not millenia, the main difference the uninitiated might notice is the yellow lighting of ancient Culanda Stones. which, like the Ayleid Welkynd Stones, are also Meteoric Glass filled with Magicka, used to power spells, traps and other such mechanisms.\n\nBack to the topic at hand, the Ayleid ruins closely resemble Aldmeri architecture, one might even say they're identical, and on a brief look, this would, for all intents and purposes, be correct. However where the Aldmeri city states were entirely devoted to the Auri-el and the Divines, with their benevolence everywhere to be seen, the Ayleids had a good number of city states devoted to the foul Daedra of Oblivion and such barbarism is reflected in their traps, spells and buildings. The Flesh Gardens are one such example of the sheer depravity of the Daedric cults that infested much of Ayleid culture altering the design philosophy from the original Aldmeri.\n\nHowever not all Ayleid constructions are such a horrific sight to see, indeed many can and do still provide benefits to those who know how to use them. This being the numerous wells of Magicka in myriad locations all across Tamriel, fonts made from Meteoric Iron and the usual white stone which can often be found with streams of blue light coming from them as they overflow with power. It is still unknown why they're placed in the locations they are, some theorise it might be due to concentrations of starlight in such locations, however due to the presence of these wells within the Valenwood and various ruins, I am almost certain starlight isn't the justification. We know the Meteoric Iron has properties which make it an extremely potent material for the forging of enchanted items. Perhaps the wells act as an unknown way to store and retrieve Magicka from Meteoric Glass crystals deep underground.\n\nHowever one such mystery remains with the Ayleid constructions, a single missing link which confounded scholars for millenia.\nThe White-Gold Tower.\nKnown as the Temple of the Ancestors to the Ayleids, the fragments of records we have of such a name also refer to it being constructed as a likeness to Ada-mantia, the Tower on the Isle of Balfiera, seat of the Direnni Altmer.\n\nThis remains an enigma because studies have shown that the Adamantine Tower is the oldest known building on Tamriel, perhaps on Nirn itself. While it matches the architecture of both civilisations, it also predates the Ayleid-Aldmeris divided by thousands of years.\n\nDid Mer truly originate on Aldmeris like all our legends and records suggest, or did the ancestors of our ancestors come from Tamriel in the earliest Dawn? Ancestors which saw Ada-mantia and thus remained in the collective conciousness of all those who share Aldmeri blood. Unless we find a way to return to ancient Aldmeris, we will likely never know for sure.\n\n[Following this passage there are various sketches and annotations comparing Ayleid and Aldmeri construction techniques and architectural designs]"}},[11]={[1]={"By Naering\n\nHello again, my acorn.\n\nI hope this finds you well. And that you find it. On time. You know you're pretty terrible at stopping by to check regularly. Yeah, yeah, mangrove calling the graht-oak a tree, I know.\n\nI ventured to the roots of the Elden Tree. It's been a few years. Enthilin's jagga is still the greatest I've ever tasted, and you know I've indulged heavily since that night! I spent the night on a high branch of the Tree, watching the torchbugs flicker through the leaves. It felt almost normal.\n\nExcept for those bastards!\n\nThe High and Mighty servants of her Poncy Majesty, Queen Summerset-Face. You know what I saw them do? Cut down graht-oaks! They level the Valenwood, and what does that Camoran bastard do? Sits up on his fancy throne, just letting them trample all over the Pact!\n\nOh, I know, right now you're thinking, Naering, you trample over the Green Pact, too, you dirty hypocrite, you. But you know I've never, ever, harmed the Valenwood, you know that!\n\nI'm so angry I can barely think! I put an arrow through a few of them, though. Five, or six? Before you worry yourself too badly, they never saw me. That made me feel better. I feasted well, up on that high branch.\n\nI'll be dropping back into Vulkwasten for a spell, say, last week of Sun's Height? You know where to find me. We can have some (mediocre) jagga. You can spin me some new Spinner's tales, and I can regale you with my stories of daring tavern game victories. And there's something else neither of us has done much of, lately.\n\n\nAlways your dirty, mangy Pactbreaker,\nNaering"},[2]={"By Spinner Terelien\n\nDearest Naering,\nI cannot be in Vulkwasten at the end of Sun's Height, for my duties keep me in Valeguard for the indefinite future.\n\nMay you accept this tale in way of apology. I miss you dearly.\n\n- Terelien\n\nRest your weary arms, Children of Green. Put down your bows and spears. Rest your weary feet, and join me by the fire. For the hunt is done, and we have feasted well. Now open your ears. Open your hearts. And listen well, while I spin thee a tale of the Time Before.\n\nBefore there were Bosmer or Khajiit, there were the Forest People. And the Forest People were one with the forest, for they were also the beasts and the plants and the soil. And this was a sadness, for when everything was everything nothing could truly know itself.\n\nY'ffre walked the forest, singing to the trees and the beasts and the turning soil underfoot. And her song was beautiful and the trees and beasts wept. And their tears were cool rain that fell on the forest and gave it life.\n\nSo were they entranced by Y'ffre's song, they knew they could never forget it. But shifting form, you lose part of yourself. And the forest became confused, for it wanted to remember the song, but did not know how.\n\nAnd Y'ffre felt the forest's pain as if it were her own, because it was. And the pain was physical, because her bones came apart and joined with the plants and the soil and the beasts, and becoming one with Y'ffre, they could never again forget her song.\n\nAs bones give the body structure, so Y'ffre's bones gave the forest structure, so the plants were now plants, and the beasts were now beasts, and the soil was now the soil, and the Forest People were now the Bosmer.\n\nBut because the forest was confused, some parts of it could not resist trying to change while Y'ffre sang. And these parts were caught somewhere in the middle, part plant, part beast. And as they joined with Y'ffre, these became the stranglers, part beast, part plant, forever rooted in the earth of the forest.\n\nAnd because they were born of confusion, the stranglers could never truly understand Y'ffre's song, so they roiled with anger, and lashed out at the forest and the Forest People.\n\nBut they are of the forest, and Y'ffre sang of them sweetly, and the Forest People know them by name. So though they may do us harm, we do not harm them."}}},[2]={[1]={[1]={"Welcome to your own personal Librarium. Please keep noise to a minimum.\n\n Regards,\n    The Custodian (Alianym)"},[2]={"New Adventures section! This section contains books set out as a \"Choose Your Own Adventure\". You cannot currently write your own in this format, but perhaps in the future.\n\n Regards,\n    The Custodian (Alianym)"}}},[3]={[1]={[1]={"Welcome to your own little section of the Librarium. Please keep noise to a minimum.\n\n Regards,\n    The Custodian (Alianym)"}}}}local q={[4]={[1]={[1]={[1]={"Written by Zenimax Online Studios\n\nOut of breath and soaked with rain, you and Razum-dar take refuge in a cozy tavern after a treacherous chase. You outran your latest enemy and, for what feels like the first time in weeks, you finally have a moment to breathe.\n\nYou’re in a back room, warming yourself by a roaring fire while Raz speaks to the innkeeper about preparing your rooms. After a few minutes, the Khajiit appears in the doorway with drinks in hand. He flashes you a smile as he sits beside you.\n\n\"That was a close one, yes? Closer than Raz is usually comfortable with. But we should be safe here, so long as we lie low, enjoying the drinks and perhaps one another's company?\"\n\n\"The innkeeper was a bit suspicious, so Raz told him the two of us are recently married, deeply in love, and on our honeymoon. The man said we make a beautiful couple, which of course Raz already knew.\"\n\n\"This one hopes you do not mind.\"",Option1={2,"\"I don't mind.\"",points=1},Option2={3,"\"You embarrassed me.\"",points=-1}},[2]={"\"Raz knew you would approve! It will be fun to pretend, yes? Perhaps you could sit on Raz's lap to help convince everyone. Ha!\"\n\n\"At any rate, Raz is glad we made it here and that you are unharmed. It is a relief to have a moment to rest and know that we are safe after so many days of uncertainty.\"\n\n\"We should enjoy it while it lasts.\"\n\n\"Raz almost wishes we were a young married couple without a care in the world. No responsibilities. No duties to uphold. Nothing to concern our hearts with but our love for each other.\"",Option1={4,"\"I'd rather soak my head.\"",points=-1},Option2={5,"\"I wish that too, Raz.\"",points=1}},[3]={"\"Ah, deepest apologies. That was not this one's intention. Raz assumed you would find it amusing. An error on his part.\"\n\n\"At any rate, Raz is glad we made it here and that you are unharmed. It is a relief to have a moment to rest and know that we are safe after so many days of uncertainty.\"\n\n\"We should enjoy it while it lasts.\"\n\n\"Raz almost wishes we were a young married couple without a care in the world. No responsibilities. No duties to uphold. Nothing to concern our hearts with but our love for each other.\"",Option1={4,"\"I'd rather soak my head.\"",points=-1},Option2={5,"\"I wish that too, Raz.\"",points=1}},[4]={"\"Raz does not think there is any need to be rude about it. It is clear to him now that you are not in a joking mood.\"\n\n\"We have been traveling together for some time. Perhaps you are sick of Raz. You would not be the first.\"\n\nRaz frowns into his tankard and then takes a hearty gulp. After, he wrenches his arm across his mouth.\n\n\He puts the tankard down on the table hard enough to make the contents slosh around. Raz sighs and gives you a sidelong glance.\"Say what you will about our adventures together … Raz cannot deny he has enjoyed himself.\"\n\n\"We've had much excitement, yes? Not all of it good, but not all of it bad, either. Raz has worried through his fair share of it. You tend to be a source of distraction for him. Raz did not expect someone so stimulating, or attractive, to come into his life, after all.\"\n\n\"Hmm. This one begins to suspect his little lie about the two of us being married was a bit more indulgent on his part than he first admitted. That perhaps he has fallen for you, despite his best efforts. What do you think?\"",Option1={"End1","\"I think you look incredibly handsome right now.\"",points=1},Option2={"End2","\"I think you’re an idiot.\"",points=-1}},[5]={"\"You do? Raz is surprised. You never mentioned such a thing before. He is not complaining, of course.\"\n\n\"This one will admit, he did not intend to become so fond of you, but he has. Raz often catches himself staring at your figure in crowded rooms, picturing you and him together in much… less crowded spaces. Perhaps you have had the same problem?\"\n\n\Raz grins and moves his chair closer to yours. Your shoulders brush and you feel the warmth of his closeness against you.\n\nHis hand drifts along your knee, claws catching softly against the fabric there. He chuckles in your ear, sending shivers down your spine, before pulling away.\n\n\"Say what you will about our adventures together … Raz cannot deny he has enjoyed himself.\"\n\n\"We've had much excitement, yes? Not all of it good, but not all of it bad, either. Raz has worried through his fair share of it. You tend to be a source of distraction for him. Raz did not expect someone so stimulating, or attractive, to come into his life, after all.\"\n\n\"Hmm. This one begins to suspect his little lie about the two of us being married was a bit more indulgent on his part than he first admitted. That perhaps he has fallen for you, despite his best efforts. What do you think?\"",Option1={"End1","\"I think you look incredibly handsome right now.\"",points=1},Option2={"End2","\"I think you’re an idiot.\"",points=-1}},["End1"]={"\"Ah ha! Raz thinks so too, but hearing you say it excites him in a way that is most intoxicating. You are a wondrous, endlessly surprising creature, did you know that? By the Moons....\"",Option1={1,GetString(LIBRARIUM_ADVENTURES_RESTART_BOOK)},Option2={0,GetString(LIBRARIUM_ADVENTURES_CLOSE_BOOK)}},["End2"]={"...",Option1={1,GetString(LIBRARIUM_ADVENTURES_RESTART_BOOK)},Option2={0,GetString(LIBRARIUM_ADVENTURES_CLOSE_BOOK)}},["Endings"]={["2"]={"Raz leans forward, closing the distance between the two of you. This close, you can smell the damp leather of his armor and see the flames of the fire dancing in his green eyes.\n\n\"Long has this one wished to stare into your eyes like this. A shame we waited this long.\"\n\n\"Of course, our adventures are far from over. Raz knows there is much in store for us still. Now, come. If we are to keep our friendly innkeeper unsuspecting, the young couple should retire to their room for the night, yes?\"\n\nRaz chuckles softly, his eyes flashing with amusement. His gaze traces your face fondly for a moment, as if he hopes to memorize you, before he stands.\n\nHe offers you his arm with a dashing grin and keeps you close to his side as the two of you climb the stairs and adjourn to your room for the night.\n\nCONGRATULATIONS!\n\nRazum-dar might be the Eye of the Queen, but you're the apple of his eye."},["0"]={"Raz chuckles, his eyes glittering.\n\n\"You joke with Raz. You always know how to make him laugh, yes?\"\n\n\"You are a good friend, you know. This one is glad to have met you. Shall we drink to our adventures? Raz hopes there will be many more to come.\"\n\nRaz sits back and raises his tankard with a dashing smile. He gestures it toward you with a nod of warm approval.\n\nThe two of you drink long into the night, regaling each other with stories of your exploits and laughing so hard the innkeeper eventually has to scold you for it.\n\nEND!\n\nEven Razum-dar needs someone to count on--he's glad he has you for a friend!"},["-2"]={"Raz scoffs and shakes his head, his lip curling in a snarl.\n\n\"Raz can see you are obviously not interested in his company tonight.\"\n\n\"Perhaps come morning you will have a change of heart, but Raz will not hold his breath. Good night.\"\n\nRaz stands from the table, taking his drink with him.\n\nHe stomps away to the other side of the tavern, leaving you alone by the fire. The two of you do not speak for the rest of the night.\n\nEND!\n\nLooks like you razzed Razum-dar a bit too hard and made an enemy out of him!"}}},[2]={[1]={"Written by Zenimax Online Studios\n\nYou stand awkwardly on a cobblestone street of Balmora as Naryu looks you up and down with a scrutinizing eye. She invited you to the House Hlaalu Masquerade Ball tonight, hosted by an important Hlaalu counsilor, but hasn’t told you why she’s brought you along.\n\nThe Dark Elf circles you once, assessing your ball attire. After a moment, she gives a satisfied hum of approval and comes to stand across from you again.\n\n\"Well, well… you certainly clean up nicely, don’t you, hero? You look divine. Every eye will be on you tonight.\"\n\n\"I know I haven’t exactly been forthcoming about what we’re doing here, but I assure you it’s all well in hand. You just need to stand around and look enticing while I work. Should be easy for you.\"\n\n\"Think you can handle that?\"",Option1={2,"\"I hate running your errands for you.\"",points=-1},Option2={3,"\"If it means I get to spend time with you, then sure.\"",points=1}},[2]={"\"It's not an errand. It's a job that I need your help with. I've helped you in the past, have I not? I'm simply calling in a favor.\"\n\n\"Anyway, the job is simple. It requires very little effort on your part. I invited you to play a very small, but vital, role in tonight's proceedings. I trust you, and my trust is not something easily gained. So don't screw this up.\"\n\n\"If all goes well, I should be done inside an hour. Then you can relax and even enjoy the party, if you so choose.\"\n\n\"Perhaps you'll even find a dashing suitor to dance with.\"",Option1={4,"\"I’d rather dance with you.\"",points=1},Option2={5,"\"I just want to get this over with, Naryu.\"",points=-1}},[3]={"\"Well, aren’t you sweet? And here I was thinking I'd have to twist your arm to get you into formal wear.\"\n\n\"Anyway, the job is simple. It requires very little effort on your part. I invited you to play a very small, but vital, role in tonight's proceedings. I trust you, and my trust is not something easily gained. So don't screw this up.\"\n\n\"If all goes well, I should be done inside an hour. Then you can relax and even enjoy the party, if you so choose.\"\n\n\"Perhaps you'll even find a dashing suitor to dance with.\"",Option1={4,"\"I’d rather dance with you.\"",points=1},Option2={6,"\"I just want to get this over with, Naryu.\"",points=-1}},[4]={"\"Oh? You are always so full of surprises, my darling. I suppose I could arrange that, after my business is done. I imagine I’ll have to chase away the other s’wits lining up to ask you, won’t I?\"\n\n\"Maybe we should practice for good measure. This is quite an important social event. It won’t do to embarrass ourselves.\"\n\nNaryu steps closer to you, one hand coming to rest on your waist, the other on your shoulder. She presses close and stares deeply into your eyes, a smirk curling her lips. She leans in a little, so close you can feel her breath on your bottom lip.\n\nYou feel a sharp edge against your side and realize she’s pulled her dagger. It lingers at your ribs for a moment before Naryu laughs and pulls away from you. Her red eyes glitter with amusement. And something more.\n\n\"You know, I asked you here because you’ve never let me down. I don’t have many people I can count on, so I keep the ones I’m reasonably certain about close.\"\"But if I’m being completely honest, I asked you here for another reason, too. Some deluded fantasy about the two of us dancing in each other’s arms, drunk on wine, retiring to some secluded hallway where I press you up against the wall and our hands are all over each other and…\"\n\n\"If that’s as stupid as it sounds, I need you to tell me right now, hero.\"",Option1={"End1","\"It’s not stupid, Naryu. I want that too.\"",points=1},Option2={"End2","\"It’s incredibly stupid!\"",points=-1}},[5]={"\"Fine. I didn’t think you’d be such a bore about this, hero.\"\n\n\"If you just want to get in and get out, then that’s what we’ll do. And there will be no fun had whatsoever, I assure you. No fun for you, anyways. I’ll find my own elsewhere.\"\n\n\Naryu frowns, her brow knitted with frustration.\n\n\She inspects something on the edge of her blade before roughly shoving it back into the scabbard at her thigh.\n\n\"You know, I asked you here because you’ve never let me down. I don’t have many people I can count on, so I keep the ones I’m reasonably certain about close.\"\"But if I’m being completely honest, I asked you here for another reason, too. Some deluded fantasy about the two of us dancing in each other’s arms, drunk on wine, retiring to some secluded hallway where I press you up against the wall and our hands are all over each other and…\"\n\n\"If that’s as stupid as it sounds, I need you to tell me right now, hero.\"",Option1={"End1","\"It’s not stupid, Naryu. I want that too.\"",points=1},Option2={"End2","\"It’s incredibly stupid!\"",points=-1}},[6]={"\"All right, all right. No dancing for you. But I will insist you try the wine while you’re milling about the ball. It would be a crime to let it go to waste.\"\n\n\"Oh, don’t look so dour, my darling. A little party won’t kill you, will it? It might even be a nice change of pace. And I promise as soon as I’m finished, we can take our leave.\"\n\nNaryu winks at you before pulling her blades from their sheathes and inspecting them, much like she inspected your outfit earlier. After a moment, satisfied, she spins the daggers in her palms before concealing them away on her person once more.\n\n\"You know, I asked you here because you’ve never let me down. I don’t have many people I can count on, so I keep the ones I’m reasonably certain about close.\"\"But if I’m being completely honest, I asked you here for another reason, too. Some deluded fantasy about the two of us dancing in each other’s arms, drunk on wine, retiring to some secluded hallway where I press you up against the wall and our hands are all over each other and…\"\n\n\"If that’s as stupid as it sounds, I need you to tell me right now, hero.\"",Option1={"End1","\"It’s not stupid, Naryu. I want that too.\"",points=1},Option2={"End2","\"It’s incredibly stupid!\"",points=-1}},["End1"]={"\"You’ve made me blush, are you happy with yourself? You and that lovely nose of yours, and mouth, and everything...\"",Option1={1,GetString(LIBRARIUM_ADVENTURES_RESTART_BOOK)},Option2={0,GetString(LIBRARIUM_ADVENTURES_CLOSE_BOOK)}},["End2"]={"\"I suppose that makes me quite the fool then, doesn’t it? I think I’ll stick to poking people with the pointy end of my daggers and leave the rubbish romance stuff to someone else.\"",Option1={1,GetString(LIBRARIUM_ADVENTURES_RESTART_BOOK)},Option2={0,GetString(LIBRARIUM_ADVENTURES_CLOSE_BOOK)}},["Endings"]={["2"]={"A shiver runs through you.\n\n\"Let’s get this done quickly, hero. Then we can start in on that delicious fantasy of mine. I can hardly wait.\"\n\n\"In fact … I think a taste of what’s to come may be appropriate. It’ll give me something to think about while I’m working.\"\n\nNaryu suddenly presses you back against the wall of the Randy Netch Inn you’re standing in front of and brings her body close to yours. Her expression is unreadable. She’s either going to kiss you or kill you, and you can’t quite tell the difference. You grab her hips. She’s surprisingly soft.\n\nHer mouth hovers inches from yours and she chuckles low, sending shivers across your body. You lose yourself in the moment, savoring every second...\n\nCONGRATULATIONS!\n\nThe Mother of Blades has a special place in her heart just for you."},["0"]={"Naryu rolls her eyes.\n\n\"Let’s just forget about all that. I have a job to do, and you have people to mingle with and partygoers to impress.\"\n\n\"Try to be your charming self, hmm? And don’t get into any trouble or try any heroics while I’m gone. If all goes well, drinks are on me.\"\n\nNaryu adjusts the neckline of your ensemble fondly and then steps back, apparently satisfied with her work.\nShe slides an elaborate masquerade mask into your hand with a smirk.\n\nEND!\n\nEven assassins need friends, and Naryu considers you one of her best!"},["-1"]={"Naryu’s expression tightens.\n\n\"All right, I think it’s fairly obvious that you’re not interested in helping me. I’m not sure what your problem is, but I don’t have the patience for it, or the time.\"\n\n\"I think it’s probably best you leave. I can do this on my own.\"\n\nNaryu gives you a withering look before turning away sharply.\n\nShe makes a lewd gesture over her shoulder as she leaves. You do not hear from Naryu again.\n\nEND!\n\nKeep your friends close and your enemies closer, right? You might want to watch your back."}}}}}}local r=4;if c==r then return q[c][d][e]else return p[c][d][e][1]end end;local s={["en"]={[1]="Elden Root Services",[2]="Elden Root Mages Guild",[3]="Elden Root Fighters Guild",[4]="Wayrest Mages District",[5]="Wayrest Palace District",[6]="Mournhold Guild Plaza",[7]="Tribunal Temple"},["fr"]={[1]="services de Faneracine^pmd",[2]="guilde des mage de Faneracine^fd",[3]="guilde des guerriers de Faneracine^fd",[4]="quartier des mages d'Haltevoie^md",[5]="quartier du palais d'Haltevoie^md",[6]="place des guildes de Longsanglot^fd",[7]="temple du Tribunal^md"},["de"]={[1]="Dienstleistungen von Eldenwurz^pd,bei",[2]="Magiergilde von Eldenwurz^fd,bei",[3]="Kriegergilde von Eldenwurz^fd,bei",[4]="Magierviertel von Wegesruh^nd,in",[5]="Palastviertel von Wegesruh^nd,in",[6]="Gildenplatz von Gramfeste^md,auf",[7]="Tempel des Tribunals^m,an"},["ru"]={[1]="Услуги Элден-Рута",[2]="Гильдия магов Элден-Рута",[3]="Гильдия бойцов Элден-Рута",[4]="Район магов Вэйреста",[5]="Дворцовый район Вэйреста",[6]="Гильдейская плаза Морнхолда",[7]="Храм Трибунала"},["es"]={[1]="Servicios de Raíz de Elden^pmd",[2]="gremio de magos de Raíz de Elden^md",[3]="gremio de luchadores de Raíz de Elden^md",[4]="distrito de magos de Quietud^md",[5]="distrito del palacio de Quietud^md",[6]="Plaza de los gremios de El Duelo^fd",[7]="templo del Tribunal^md"}}local t=GetCVar("language.2")if not s[t]then t="en"end;local function u(c,d,e)local v={[1]={[1]={[1]={41},[2]={s[t][2],s[t][4],s[t][6]},[3]={GetMapNameById(445),GetMapNameById(33),GetMapNameById(205)}},[2]={[1]={3},[2]={381,1011},[3]={-1},[4]={181,101,103,1160,1207},[5]={381,1011},[6]={280,534,535,537,816,1146,1318},[7]={1282,1413,s[t][2],s[t][4],s[t][6]}},[3]={[1]={980,981},[2]={980,981}},[4]={[1]={381,1011},[2]={381,1011,1160},[3]={3,19,20,684,GetMapNameById(1064),1261},[4]={3,19,20,684,GetMapNameById(1064),1261},[5]={3,19,20,684,1261},[6]={3,19,20,684,1261},[7]={3,19,20,684,1261},[8]={3,19,20,684,1261},[9]={3,19,20,684,1261},[10]={3,117,726,1160,1161,1208},[11]={3,726,1160,1161,1208,1318}},[5]={[1]={381},[2]={-2},[3]={-2},[4]={-2},[5]={-2},[6]={-2}},[6]={[1]={181,823},[2]={58,108,381,383,823,1011},[3]={58,108,381,383,823,1011},[4]={58,108,381,383,823,1011},[5]={3,19,57},[6]={888,1207,1282},[7]={57,s[t][2],s[t][4],s[t][6]},[8]={GetMapNameById(63),92,1160},[9]={1318,1383,1413}},[7]={[1]={3,19,20,381,1011},[2]={383}},[8]={[1]={534,535,3,19,20,104,92},[2]={534,535,3,19,20,104,92},[3]={181,584,643,41,347},[4]={181,584,643,41,347},[5]={534,535,3,19,20,104,92},[6]={534,535,3,19,20,104,92}},[9]={[1]={s[t][1],s[t][2],s[t][3],s[t][5],s[t][7]},[2]={383},[3]={3,19,383},[4]={3,19,383},[5]={1282,1283},[6]={347,1282,1283,1286}},[10]={[1]={1261,GetMapNameById(545)}},[11]={[1]={58},[2]={58}}},[2]={[1]={[1]={-99},[2]={-99}}},[3]={[1]={[1]={-99}}},[4]={[1]={[1]={-99},[2]={-99}}}}return v[c][d][e]end;local function w(c,d,e)if font[c]and font[c][d]and font[c][d][e]then return font[c][d][e]end end;a.LibBooks={}for x=1,4 do a.LibBooks[x]={}for y=1,#a.LibCollections[x]do a.LibBooks[x][y]={}for z=1,#b[x][y]do local A=b[x][y][z].title;local h=b[x][y][z].medium;local B=b[x][y][z].oocAuthor;local i=b[x][y][z].icon or h;a.LibBooks[x][y][z]={title=A,medium=h,body=o(x,y,z),fonts=nil,icon=a:GetDefaultBookIcon(i),showTitle=a:GetShowTitle(x,y,z),zones=u(x,y,z),author=B}end end end